﻿# Evergreen Valley
# Scenario by DrakeNavarone
# Demo script completion: August 27, 2006

# Art is used for demonstration purposes only, and is not final
# Some bgs are from TYPE-MOON's Tsukihime ( "borrowed" without permission, sorry guys, I'll put them back, I promise... )
# Character art by Noriyuki Fujisawa (free to use, see Terms and Conditions.txt for more info)

# With that said, let's begin the commentary! Yay!
# Drake here, bringing you the inside scoop about Evergreen Valley
# Who knows what I'm gonna type here...
# Maybe post a hint or clue, but I won't try to spoil you guys...
# The commentary should be mostly spoiler free, but read at your own risk
# And besides, reading anything else that I write might be harmful to your health...
# I've written enough crap already, as you can see if you played through the demo already...
# Sometimes I just can't help it... I go on and on about completely irrelevant things...
# Just like I am now...
# So on that note, I'll shut up for a while... Let's start the show already!

init:
    python:
    
        library.script_version = (5, 5, 4)
        config.window_title = "Evergreen Valley"
        config.screen_width = 640
        config.screen_height = 480
        
        theme.roundrect()
        
        config.layers = [ 'master', 'snowlayer', 'transient', 'overlay' ]
        
        style.default.size = 15
        style.mm_root.background = Image("title.jpg")
        style.say_window.xminimum = 640
        style.say_window.yminimum = 110
        style.who_window.xminimum = 120
        style.who_window.yminimum = 30
        style.who_window.ypos = 1.2
        
        style.create('two_window_say_label','centered_text','(text) the style used for the say label when a Character uses the two_window_say function')
        
        style.two_window_say_label.color = (255,255,255,255)
        style.two_window_say_label.size = 16
        
        library.main_menu.insert(2, ("Opening", "opening", 'True'))
        library.main_menu.insert(3, ("EVTV Special", "evtv", 'persistent.demo_clear'))
        library.enter_transition = dissolve
        library.exit_transition = dissolve
        
        # Ahh, our characters! What would our story be without them?! Crap, that's what...
        # It's a shame, though... I think Parker and Mackenzie get shafted in this demo (and who's fault is that? My own......)
        # Look at me, playing favorites already... 
        # Anyway, I'd like to hear your favorites so far, I wanna know who's the most likeable character
        
        n = Character('Noah', who_suffix="", who_style="two_window_say_label",  show_function=two_window_say)
        c = Character('Cadence', who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        s = Character('Sydney', who_suffix="", who_style="two_window_say_label", show_function=two_window_say)        
        p = Character('Parker', who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        m = Character('Mackenzie',  who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        b = Character('Blake',  who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        l = Character('Lillian',  who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        
        dcname = ""
        dc = DynamicCharacter("dcname", who_suffix="", who_style="two_window_say_label", show_function=two_window_say)
        
        lc = Position(xpos=0.2, xanchor="left")
        rc = Position(xpos=0.8, xanchor="right")
        
    
    image white = Solid((255,255,255,255))
    image red = Solid((255,0,0,255))
    
    image redtext = renpy.ParameterizedText(style="centered_text", size=30, color=(255,0,0,255))
    image applause = renpy.ParameterizedText(ypos=0.2, size=36, color=(255,0,0,255))
    
    image snow = SnowBlossom("snow.png", count=30, start=5)
    image redsnow = SnowBlossom("redsnow.png", count=50, xspeed=(-50,50), yspeed=(100,350), start=5)
    
    image title = "title.jpg"
    image alley = "alley.jpg"
    image bench = "bench.jpg"
    image path = "path.jpg"
    image redmoon = "redmoon.jpg"
    image school = "school.jpg"
    image town = "town.jpg"
    image classroom = "classroom.jpg"
    image hall = "hall.jpg"
    image kitchen = "kitchen.jpg"
    image room = "room.jpg"
    image house = "house.jpg"
    image cafe = "cafe.jpg"
    image studio = "studio.jpg"
    
    image schoolflip = im.Flip("school.jpg", horizontal=True)
    
    # No Lillian image... but the character art pack only had three girls, and I already reused one for Parker...
    # Guess you'll just have to wait for the full game
    
    image noah = "noah.png"
    image cadence = "cadence.png"
    image sydney = "sydney.png"
    image parker = "parker.png"
    image mackenzie = "mackenzie.png"
    image blake = "blake.png"
    

label main_menu:    
    if persistent.seen_intro:
        jump _library_main_menu
    
label opening:
    
    # The opening scene
    # I hope nobody minds that I force you guys to see this...
    # Red moon and red snow, and we get to see it again at the end of the demo
    # It sure won't be the only times you see them either...
    # Red and white are important colors in the story, so watch out for them
    
    scene black
    $ renpy.pause(1)
    scene redmoon with Dissolve(2)
    show redsnow
    $ renpy.pause(5)
    
    show text "red snow floats through the air like scattered rose petals" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "the moon shines with the color of life and of death" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "my back is frozen to the cold snow-covered ground" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "my chest is pounded with frigid winds" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "snowflakes crash onto my tongue as I gasp for air" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "though they shine red they still taste of water not blood"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "they melt deep in my throat and threaten to drown me"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "at my side my fragile savior lies awkwardly"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "the armor of my knight shines not gold nor silver"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "crimson like this twisted moon and the dancing snow"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "armor stained by the red life it spills"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "that protective warm embrace can no longer be felt" with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "erased by the harsh weather of a furious winter"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "let me hold you"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "let me hold you once more"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "let me save you just this one time"  with dissolve
    $ renpy.pause(2.5)
    hide text with dissolve
    $ renpy.pause(2.5)
    show text "Just One Time... And I Can Save You Forever..."  with dissolve
    $ renpy.pause(3)
    scene white with Fade(3, .5, .5, color=((255,255,255,255)))
    
    $ renpy.transition(Dissolve(3))

    if persistent.seen_intro:
        return
    
    $ persistent.seen_intro = True
    jump _library_main_menu
    
label evtv:
    
    # Oh, no... not the tv special...
    # I want to apologize now for this disaster
    # I'm much funnier in person, I swear...
    # But if it got just one laugh, then it wasn't a totally lost cause
    
    scene black
    show text "Welcome to Evergreen Valley Television!\nDemo version Special!" with fade
    $ renpy.pause(2)
    scene black with fade
    show text "With your hosts:\nSydney Lyson and Blake Andrews" with fade
    $ renpy.pause(2)
    scene black with fade
    
    scene studio with fade
    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    show sydney at lc
    show blake at rc
    with fade
    
    $ dcname = "Sydney and Blake"
    dc "Alright, let's start the show!"
    
    s "Welcome, everybody, to the pilot episode of Evergreen Valley Television, your one and only source for all things Evergreen Valley-ish. I'm your host, Sydney Lyson, and this is my sidekick, Blake Andrews!"
    
    b "CO-HOST! CO-HOST! We're equals, ya know!"
    
    s "Then why does my name appear first in the opening credits?"
    
    b "Yeah, why is that? Shouldn't it be alphabetical?"
    
    s "No, now shut up and do your job."
    
    b "Well, boys and girls, do we have a very interesting first episode ever for you guys! We've got a few special guests, and even a stand up comedy routine! Then we'll take a few questions from the audience. Sounds fun, right?"
    
    s "First things first, let's bring out our first guest! Noah Hunter!"
    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    show blake at right
    show sydney at center
    show noah at left
    with fade
    
    n "Hey, Sydney, Blake. Thanks for inviting me on your show." 
    # Stop lying, Noah... Nobody wants to be on this show...
    
    b "We're glad to have you."
    
    s "Not really. I was hoping for somebody actually famous..."
    
    b "Sydney..."
    
    s "What? Just speaking the truth."
    
    n "..."
    
    b "Just stick to your note cards, please."
    
    s "Alright, alright. Well, Noah, you might not be famous yet, but there's still a lot of buzz surrounding you."
    
    n "There is?"
    
    s "Well of course! You are the protagonist to our little story, aren't you?"
    
    b "And you'll have at least a hundred times more lines than I do..." 
    # I'll make sure to get the exact ratio, and rub it in Blake's face
    
    s "Feeling sorry for your minor-character self?"
    
    b "...yeah..."
    
    n "Hey, man, cheer up. At least you were important enough to warrant a Character declaration."
    
    b "That's not very comforting."
    
    s "Come on, come on, back on topic guys. So, Noah, what's it like being the hero?"
    
    n "Well, it's a good role. I liked the script so far, and can't wait to see what the director's gonna do with it."
    
    b "I actually think it's crap. Some weird friggin' monster popping out of nowhere at the end like that? What the hell, right?"
    # Insulting my writing, eh? Folks, don't be surprised if he dies... He has it coming, oh yes, he has it coming...
    
    s "With that kinda talk, you wonder why you're a minor character..."
    
    n "Really..."
    
    b "Anyway... Noah, what are you expecting from the game in the future?"
    
    n "Well, since it will be a multi-scenario, multi-ending VN, I'm expecting quite a bit of romance in the future."
    # Well, look at him, thinking he's some kind of pimp... With that arrogant attitude, it'll be nothing but BAD ENDs for you...
    
    s "So, is your sister gonna be a \"romanceable\" character, too?"
    
    n "What?! That's sick!"
    
    s "You never know... one of you could be adopted."
    
    b "It IS the universal loophole, ya know." # Truth!
    
    n "No, no. I HIGHLY, HIGHLY doubt that's gonna happen. In fact, I'll guarantee it."
    
    s "You must be new to these kinds of games."
    
    b "Yeah, you can never count out the sister."
    
    s "Although, I guess it's a little backwards this time, isn't it?"
    
    b "Yeah, Lillian's actually the older one..."
    
    s "So no \"Onii-chan\"-ing?"
    
    b "Guess not."
    
    n "Hey, guys, can we stop talking about it now? It's still kinda sick, no matter how you justify it."
    
    s "We would stop, but we've got nothing else."
    
    n "Eh?"
    
    b "I told her to follow the note cards, but they only have one question on them."
    
    s "So now we have to make stuff up as we go."
    
    b "We're quite unprepared..."
    
    n "Oh..."
    
    s "Oh, I got one! Boxers or briefs?"
    
    n "Uh... boxers?"
    
    b "How much wood could a woodchuck chuck if a woodchuck could chuck wood?"
    
    n "Two trees worth?"
    
    s "What's the value of pi accurate to the 100th decimal place?"
    
    n "Alright, I'm leaving..."
    
    b "Wait, wait. We actually have a few serious questions... I think."
    
    n "Okay, then. Shoot."
    
    s "Chocolate or vanilla?"
    
    b "Ignore her. Who's your favorite female character so far?"
    
    s "It's me, right? You're gonna say it's me, right? Right? Come on! COMEONCOMEONCOMEON!"
    
    n "I have to say Parker."

    s "WHAT?!"
    
    b "Ah, so you have a thing for the quiet types?"
    
    n "Yeah, quiet is definitely better."
    
    s "Why you looking at me?"
    
    b "I personally prefer the childhood friend angle, so I have to choose Cadence."
    # Blake is actually the girl-with-glasses type, but I don't have any of those... yet...
    
    s "My own co-host abandons me too?"
    
    b "Hey, you can vote for yourself."
    
    s "Okay, I will! ...wait, so that means no one likes Mackenzie?"
    
    ".........."
    
    "Chiiiirrp. Chiiiirrp."
    
    n "Was that a cricket?"
    
    b "No, that was our sound effects guy. But it fit the mood perfectly, didn't it?"
    
    n "Uh, yeah."
    
    b "Well, any other questions?"
    
    s "I can't think of any."
    
    b "Then you're free to go, Noah. Lucky you."
    
    n "Yeah, thanks guys....."
    
    s "Noah Hunter, ladies and gentlemen!!!"
    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    hide noah
    show sydney at lc
    show blake at rc
    with fade
    
    b "Well, that was a massive failure."
    
    s "We still have the rest of the show to do..."

    b "Do we really? We can't just quit now?"
    
    s "You can do it! I believe in you!"
    
    b "(Sigh)..."
    
    s "Alright, our next guest is Mackenzie Cave! Give it up!"
    
    b "Did you just say \"give it up?\""
    
    s "Shut up and think of some questions."
    
    $ renpy.pause(2)
    
    s "No Applause sign?"
    
    b "More importantly, no guest."
    
    s "Hey, guys. What's going on?"
    
    b "Oh, hey, it's Tony, our producer!"
    # Exective Producer, actually... It's the title you give your secretary when you forget her birthday
    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    s "He gets the Applause sign?"
    
    b "I'm getting sick of it... So what's up, Tony?"
    
    $ dcname = "Tony"
    
    dc "We actually just got a message a few minutes ago."
    
    s "What's it say?"
    
    b "\"Miss Mackenzie Cave will not appear on today's show as she rather rudely declined our request for an appearance.\""
    
    s "And we just find this out now?"
    
    b "I blame you."
    
    s "What did I do?"
    
    b "I don't know, but she hates your guts."
    
    s "Alright, what's next on the list?"
    
    b "A stand up performance from... Parker Marrows?"
    
    s "...what?"
    
    hide sydney
    hide blake
    show parker with fade
    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    hide parker
    show sydney at lc
    show blake at rc
    with fade

    b "Well, let's just get this over with now."
    
    s "Go ahead and let 'er rip, Parker."
    
    hide sydney
    hide blake
    show parker
    
    p ".........."
    
    hide parker
    show sydney at lc
    show blake at rc

    s ".........."
    
    hide sydney
    hide blake
    show parker
    
    p ".........."
    
    hide parker
    show sydney at lc
    show blake at rc
    
    b ".........."
    
    hide sydney
    hide blake
    show parker
    
    p ".........."
    
    hide parker
    show sydney at lc
    show blake at rc
    
    s "Uh, Parker?"
    
    hide sydney
    hide blake
    show parker
    
    p "?"
    
    hide parker
    show sydney at lc
    show blake at rc
    
    s "When we said stand up, we didn't mean you just literally standing up. You're supposed to tell jokes."
    
    hide sydney
    hide blake
    show parker
    
    p "Knock knock."
    
    hide parker
    show sydney at lc
    show blake at rc
    
    s "Oh, God..."
    
    b ".....who's there?"
    
    hide sydney
    hide blake
    show parker
    
    p "Interrupting Cow."
    
    hide parker
    show sydney at lc
    show blake at rc
    
    b "Interru---"
    
    hide sydney
    hide blake
    show parker
    
    p "Moooo!"
    # Someone actually told me this one about three weeks ago...
    # And because I'm an idiot, I actually laughed...
    # So of course I put it in here...
    # I'm sorry, I just laugh at everything...
    
    hide parker
    show sydney at lc
    show blake at rc
    
    b ".........."
    
    s "Worst joke ever..."
    
    b "Thank you, Parker, that's more than enough."
    
    s "...Parker Marrows... ladies and gentlemen..."
    
    hide sydney
    hide blake
    show parker

    
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    show applause "APPLAUSE!"
    $ renpy.pause(.75)
    hide applause
    $ renpy.pause(.75)
    
    hide parker
    show sydney at lc
    show blake at rc
    with fade
    
    b "Alright, the final stretch. Get this done and we can go home!"
    
    s "Finally..."
    
    b "So we have the Q&A left, right?"
    
    s "Yep, does anyone in the audience have any questions?"
    
    b "There's only one person. You can't really call that an audience..."
    
    $ dcname = "Audience Member"
    dc "Uh, I do have a question."
    
    b "No you don't."
    
    dc "Yeah, I do."
    
    s "Blake, let's just answer it. Give in to our fate now..."
    
    b "Alright, alright. Out with it."
    
    $ qset = []
    
label questions:
    menu:
        set qset
        
        "Only now do we have choices?":
            jump nochoice
        "Which characters have a scenario?":
            jump charscene
        "What's up with this skit?":
            jump whyshow
        "When will it be finished?":
            jump release
        "This show sucks!!!":
            jump endshow

label nochoice:
    
    dc "Seriously, why are the choices only in the extra skit, and not in the real demo?"
    # Silly rabbit, Choices are for kids...
    
    s "You bring up a good point."
    
    b "Just to make things a little clearer, this game is not a kinetic novel. The full version will contain choices that you can pick to your heart's delight."
    
    s "There are actually a few choices in the game's version of the first two days. These were taken out for a few reasons."
    s "First of all, for length. We wouldn't want the demo to consist of half the game, would we? And besides, the director can get pretty verbose about rather pointless things at times, and we don't need anymore of that than there already is."
    
    b "We honestly don't need to learn how to pick a seat in class, thank you very much..."
    # Yeah, I could've taught you something more useful... like how to write about totally pointless things at great length...
    
    s "Second, we really didn't want to give that much away. We want something new to be there in the full version for people who already played the demo, so by cutting out the choices they have whole other avenues to explore if they want."
    
    b "And third, mostly for the presentation of the story. One of the choices in the first day causes you to completely miss meeting Parker and Mackenzie, but the director thought it would be better to meet those two on Day One, at least for the demo."
    
    s "By eliminating the choices, the director also got to control how the demo ended."
    
    b "The end of Day Two has a few other paths that you can follow, but that last scene with Cadence is probably the most \"dramatic\", if you will, so that one was chosen for the big cliffhanger ending."
    
    s "It's all about marketing, folks. Gotta keep 'em on the edge of their seats, and then you can reel them in easy."
    
    b "It looks like you have another question..."
    
    jump questions
    
label charscene:
    
    dc "Yeah, how many winnable girls are in the game?"
    
    s "\"Winnable?\" So I look like a prize to you?"
    
    b "Hey, at least you have your own scenario."
    
    s "If you had a scenario, that'd be way way too creepy. I didn't know you went that way..."
    
    b "What?! Of course I don't!!"
    
    s "Putting any debates on Blake's sexual orientation aside..."
    
    b "Don't put it aside! Let's get it {i}straight{/i}-ened out right here! I'm not like that, I swear."
    # Yeah, we believe you......
    
    s "*AHEM* Continuing, the game features four heroines: Myself, of course, along with Cadence, Parker, and Mackenzie. And definitely not Lillian."
    
    b "I still think you can't count that out, at least until the DNA test results come back..."
    # They did come back, positive... but that's not enough to stop me from writing her a scenario anyway... heh heh heh heh heh....
    
    s "Is this some kind of fetish of yours or something?"
    
    b "I'm just trying to be cautious. Do you know how popular the sister archetype is?"
    
    s "Unfortunately, yes..."
    
    b "See? The facts speak for themselves."
    
    s "Let me put this joke to rest. Lillian will definitely not have a scenario. Now stop bringing it up."
    # Quite a bold statement there, Sydney... Care to make a wager?
    
    b "Alright, not another word on it, I promise..."

    s "Do you have any other questions?"
    
    jump questions
    
label whyshow:
    
    dc "Why have a weird TV show skit as an extra? Does it have a point at all?"
    # nope, no point whatsoever
    
    b "If it did, we forgot what it was..."
    
    s "Actually, there is a point." 
    
    b "There is?"
    
    s "Yes... While we do take time to poke fun at the game, ourselves, and whatever else we can think of during these skits, they really do serve some sort of purpose."
    
    b "Besides a second paycheck?"
    
    s "While nothing's solid yet, we're planning on having a skit like this after the player clears each one of the scenarios, as a little bonus. Aside from the lame and futile attempts at comedy, EVTV might also offer clues about the story and hints towards finishing the other scenarios."
    # What?! More?! Did I say that?! One's bad enough...
    
    b "Was all that in our contracts?"
    
    s "You don't even know what you signed up for..."
    
    b "If I knew beforehand, I would've burned that contract and danced around the flames... I can't believe I signed up for this torture..."
    
    s "You'll have to deal with it. You're booked for a whole seasons worth."
    
    b "Well, lone audience guy, anything else to ask?"
    
    jump questions
    
label release:
    
    dc "When's the release date?"
    # May Twenty-first, Two Thousand and Infinity...
    
    s "...you didn't..."
    
    b "Oh man....."
    
    dc "What?"
    
    b "That's probably the worst thing you ever could have asked..."
    
    s "I certainly wouldn't expect it anytime soon. The script is still being written, and hasn't progressed much beyond what you saw in the demo. There's also no official artwork and no music whatsoever done yet."
    
    b "The general plot is mostly finished, but nothing's set in stone yet. The plot is still rather flexible, leaving a bit of room for a new idea or two, and some of the minor details will need work."
    
    s "The director is taking a write-as-you-go approach, so we don't know how long the game will be either. And there's no telling how much will need to be rewritten."
    
    b "But we really want to see this project finished, so it will be done, whenever that may be..."
    
    s "So to answer you question, the expected release date is: Eventually..."
    
    # Seriously, I am working on it... at a rather slow pace...
    
    b "Anything else you want to know?"
    
    jump questions

label endshow:
    
    dc "I just wanna say: THIS SHOW SUCKS!!!"
    
    s "That's not a question!"
    
    b "But it is the truth..."
    
    s "Is it really that bad?"
    
    $ dcname = "Audience Member and Blake" # and me
    dc "YES!!!!!" # "For the love of God, YES!!!"
    
    s "Alright, if you really feel that way, I guess we can just end it now..."
    
    b "REALLY!?!?"
    
    s "You don't have to be that eager about it..."
    
    b "Freedom at last..."
    
    s "Alright, alright..."
    s "I'm Sydney Lyson"
    
    b "And I'm Blake Andrews."
    
    s "Thanks for watching, and we'll see you next time!"
    
    b "Next time? There's no next time... There's no way any network would pick up this show..."
    
    s "Just shut up, smile at the camera, and feign some optimism."
    
    b "Yeah, yeah..."
    
    $ dcname = "Sydney and Blake"
    dc "Good night, Evergreen Valley!!!"
    
    scene black with fade
    $ renpy.pause(1.5)    
    show text "This show was recorded before a live studio audience" with fade
    $ renpy.pause(1.5)
    scene black with fade
    show text "(If only one person counts as an audience...)" with fade
    $ renpy.pause(1.5)
    scene black with fade
    show text "This has been\na DrakeNavarone Production" with fade
    $ renpy.pause(3)
    scene black with fade
    
    return

label start: 
    
    # Alright, finally, the real story...
    
    scene black
    show text "Evergreen Valley" with fade
    $ renpy.pause(2)
    scene black with fade
    show text "Thursday, September 12th" with fade
    $ renpy.pause(2)
    scene black with fade
    
    $ save_name = "Thursday - Morning"
    
    $ renpy.pause(0)
    scene white with dissolve
    
    "Snow. Somehow I manage to see it. The world outside this window is white."
    "With the morning rays from the sun reflecting off of... well, everything... it's painful to keep my eyes open."
    "I close my eyes."
    
    scene black with dissolve
    $ renpy.pause(0)
    scene red with dissolve
    
    "I can see red."
    "The bright lights are piercing my eyelids. Even with closed eyes, I know how bright it is outside."
        
    scene room with dissolve
    
    "It is still snowing outside."    
    "It hasn't stopped once since I got here. Sure, its strength wanes and grows, but it hasn't stopped yet."
    "I asked Lil about it the other day. She doesn't remember the last day it hasn't snowed."
    "Then again, she doesn't remember anything up to two weeks ago. I can't even recall that much. It's been kinda hectic. And really stressful."
    
    "Everything's been settled now though. I'm all moved in."
    "The new school year began Monday. And since it did just begin, there won't be much homework either."
    "So right now, I can just sit around and re-acclimate myself. Actually, re-learn would be a better word."
    "It's been about six years... If I can hardly remember anything from more than two weeks back, six years is out of the question."
    "Well, I haven't completely forgotten everything, but my whole family's memory is pretty bad..."
    "I'm surprised we don't wear nametags so we don't forget each others' names, or our own..."
    
    # Six years since Noah last lived in Evergreen Valley...
    # This number, as well as a few others (like the date), have changed a few times during the writing process
    # Timeline consistency is very important to me, so if anything is out of place, please let me know
    # I can hardly keep up with all the changes I've been making, and the story's not even finished yet...
    
    $ dcname = "Voice"
    dc "Noah! You awake yet?!"
    
    "Ahh, so that's my name... I knew I forgot something."
    "I joke to myself. That was pretty bad, but at least the timing was perfect."
    # Yeah, you're as funny as I am, Noah...
    
    n "I'll be there in a second!"
    
    "I grab my watch off of my table, and throw it on my wrist. I read the time. 7:08 am."
    "I glance over at my alarm clock. 7:06 am. Of course..."
    "I look over at the wall for a third opinion. The analog clock hanging up high in the middle of the wall reads 2:14."
    "Oh yeah, that doesn't even have batteries in it... Well, it'll be right at least twice a day, unlike these other two pieces of junk."
        
    scene kitchen with fade
    
    "I run downstairs to the kitchen. I pass Lil drinking her ritual cup of coffee at the dining room table."
    "I grab a bowl from the cabinet, and box of cereal from the counter."
    
    l "Hurry up! It's already quarter past."
    
    "I glance at the clock above the fridge as I reach for the milk. 7:03 am."
    "Lil's watch is probably the least trustworthy. Still, this house is so uncoordinated." # I trust Lil's watch the least, too
    "As I pour the milk into my bowl of cereal, I use my other hand to open the drawer and grab a spoon."
    "Err, a fork. I open the drawer again, and look at what I'm aiming for this time."
    "Ah, just missed. The spoons are on the right of the forks. I still haven't gotten a feel for this house yet."
    "Even though it's the same house I lived in six years ago."
    "I haven't set foot in this house for six years..."
    
    "Lil walks into the kitchen, cup in hand, and peers into my bowl of cereal."
    
    l "I just don't get it... honestly..."
    
    n "Adding milk to cereal is an American tradition."
    
    l "The Fourth of July is an American tradition. That's just a clever marketing scheme."
    
    n "You're only complaining 'cuz you need the milk for your coffee."
    
    l "You're damned right I do. It lasted twice as long when you weren't here. And clean up the little drops you spilled on the counter."
    
    "She tosses me the roll of paper towels."
    
    n "Yeah, yeah."
    
    "I grab the sugar from my end of the counter and slide it towards Lil. I then grab the milk she just finished with and place in back in the fridge. Lil grabs the cereal box I had left out and places it back in its place."
    
    l "Snow's not too bad outside today, but it's a little colder than usual."
    
    n "Okay. When're you done today?"
    
    l "Should be around five. Got your key?"
    
    n "Yeah."
    
    l "If you go out before I get back, remember to be home before dark, okay?"
    
    n "I'm not a first grader, Lil... I think I could stay out a little later."
    # "How old are you, Noah?" "I'm dis many!!!" "And how many fingers is that?" "Won... Too... Free... For!!!"
    
    l "Just follow the rules, alright?"
    
    n "Yeah, yeah, I know..."
    
    "As I sit down at the table, ready to eat, Lil walks out into the family room, switches on the TV, and watches the rest of the news. Traffic, Weather, Local News. Doesn't seem like much is happening here, or anywhere else for that matter."
    "I finish eating, rinse the bowl and spoon, and set them on the counter."    
    "I walk toward the closet and throw on my coat. I grab my backpack and head into the family room."    
    "As I throw on the backpack, I glance at the TV screen. Looks like they're still on Local News."
    
    '"...for Jack and Amanda Cave. Their family bid their final farewells to the two on Sunday..."'
    
    n "Didja know 'em?"
    
    l "Everyone knows each other in this town..."
    
    n "...I don't recognize the name..."
    
    l "No? Oh, that's right. The Caves moved in a few years after you left..."
    
    n "Have a lot of new people moved in since I left?"
    
    l "Somewhat. Some families moved in, some moved out. You've been gone for a while though, so I wouldn't be surprised if you don't remember anybody."
    
    n "I found Cadence the other day. She's in some of my classes."
    
    l "Really? You two used to be inseparable. I guess it can only be fate that reunited the two of you."
    
    n "Maybe... she's one of the few people I do remember..."
    
    "Lil glances at her watch."
    
    l "I think you've delayed enough. Better get going. Be careful."
    
    "Despite how fast her watch probably is, it is still a good idea to head out now."
    
    n "Yeah, see ya later."
    
    scene town with fade
    $ renpy.show('snow', layer='snowlayer')
    
    "I head out of the family room and to the front door. The very moment I step outside, I am greeted with a startling cold blowing against my face."
    "I throw the hood of my coat over my head, and pull my hardest on the strings. While the rest of my head may be safe from the weather, my face is still vulnerable."
    "It's not a far walk to school, but I imagine my face will turn red from the wind by then. Luckily, the bursts of wind are infrequent. I just might survive the trip there."
    
    scene path with fade
    
    "As I walk to the school, I look down upon the layer of white underneath my boots. I can still see the same tracks I made yesterday."
    "The snow must not have picked up over the night either. Yet, those footprints are already half-filled with the newly fallen snow."
    "With my next step, I drive my entire leg down hard in order to gauge its depth. My guess would be 2, maybe 3 inches."
    "I look at the bottom of the foot-shaped hole. There's only more snow. No grass, no cement, no earth. Just more snow. I'm not sure if I've seen even a blade of grass or a patch of dirt since I moved in."
    "How much deeper would I have to go? Maybe there isn't anything underneath? Only snow, snow, snow."
    # and buried treasure
    
    "It hasn't stopped at all since I got here. Even Lil can't remember the last time it stopped. And if it has snowed all this time, then I guess none of it has melted."
    "Only compressed further and further by the steps of the people who tread these paths. Even the evergreen trees this town is named after have been stained white by the snow."
    
    "I turn my gaze to the sky. The snow falls slowly and steadily, as if it knows it won't be going anywhere for a while and can take its time."
    "The sky is neither its famed blue or its morning yellow. White blankets the sky as much as it does the earth. It seems like the clouds are falling apart, piece by piece."
    "Such magnificence is being dulled in my eyes. The snow used to be something like a miracle. I had always loved the snow. Even though its color is plain compared to the sights of other seasons, it is always bright and pure."
    "Reflecting the rays from the sun, it illuminates even the darkest corners of the world. The majesty of Heaven falls onto us as each flake drops."
    "I walked through the dominion of the gods and gazed upon its simple beauty, and I felt all things good glow within me."
    "A feeling I anticipated every year."
    
    "But it doesn't feel right here. Everyday it snows. Such an extraordinary sight has become common. Its brilliance lost, and my fascination faded."
    "Already, nothing more than white dirt and frozen rain. Its touch is no longer magical, but cold. Its shine no longer captivates, only blinds. If only it would stop. Just once."
    
    "I almost miss a turn towards the school. I should be paying more attention to where I'm going."
    "I still don't know the way well enough yet to arrive solely on the power of my subconscious. I continue my march through the glistening streets."
    
    scene school with fade
    $ renpy.pause(1)
    $ renpy.hide('snow', layer='snowlayer')
    scene classroom with fade
    
    $ save_name = "Thursday - Homeroom"
    
    "I take a seat at my desk. I'm not too early, but the classroom is almost empty. Of course the other students would have a better feel how much time they have left than I do."
    "Well, I can blame that on the lack of conformity between the clocks in my house. I spot the clock on the wall behind me. It be best to set my watch to school time."
    
    "There are a few small groups of people throughout the room. Conversations held here and there. I don't know any of the faces here. Cadence and Blake aren't here."
    "About 3 or 4 minutes before the bell announces the start of homeroom and the school day. Just as I am about to get up, hoping to meet some new people, it seems somebody else has already made the effort to talk to me."
    
    show sydney with dissolve
    
    "She falls into the chair before me in a way that seems to take hold of your attention."
    
    "She gets the introductions out of the way first."
    
    $ dcname = "Girl"
    dc "Sydney Lyson."
    
    n "Noah Hunter."
    
    s "Nice ta meetcha, Noah. So you're the new kid, right?"
    
    n "Yeah."
    
    s "Where ya from?"
    
    n "Moved in from Merrian, but I used to live here. About six years ago."
    
    s "Oh yeah? I've only been here about four years, so you'd probably know more about its history. Was the town like this back then, too?"
    
    n "No, it seems like a lot has changed. Almost like it isn't the same place."
    
    s "That's funny. It feels like it hasn't changed at all since I got here. Everything must've happened in that two year difference, huh?"
    
    n "Guess we'll have to ask a true local to fill in the gaps."
    
    s "I wouldn't count on it. They seem pretty tight lipped."    
    s "Was the weather always like this back then?"
    
    n "I don't think so. You remember the last time it stopped snowing?"
    
    s "Naw. It's been going for a while now... But it can't snow forever, can it?"
    # Yes it can, if I say so
    
    n "It'll have to stop eventually."
    
    s "Maybe we should hire some kind of meteorology research group or something to tell us what exactly has been going on around here."
    
    n "And maybe they could figure out when the next warm, sunny day will come. With all this wintery weather, that's something you'd like to know, right?"
    
    s "Yeah, that'd be a good thing to know..."
    
    s "...among other things."
    
    "She adds as an afterthought."
    
    show sydney at left
    with None
    show cadence at right
    show blake
    with dissolve
    
    "Cadence arrives, with Blake right behind her. Cadence takes her seat to my right, and so does Blake, who sits in front of her."
    
    n "Hey guys."
    
    b "Yo."
    
    c "Hi Noah, Sydney. What's up?"
    
    s "Not much. Just meeting the new kid. Looks like you guys already met though."
    s "Wait, Cadence... You were born and raised here, right? Did you two know each other then?"
    
    c "Yeah, we were pretty close."
    
    n "It's still shocking that we managed to meet back up like this, though... I'm surprised you didn't move out..."
    
    c "Well, I was surprised when I heard you moved back in."
    
    s "The reunion of childhood friends. Touching."
    s "Has the makings of a love story, doesn't it?"
    # Like, oh, let's say, a visual novel titled Evergreen Valley?
    
    b "Yeah, like a bad chick flick..."
    # Putting down my writing again? I can smite you, ya know...
    
    "Sydney and Blake start to laugh. I try to laugh a little too, but it sounds awkward. I can only imagine what the twisted, forced smile on my face looks like."
    "I see Cadence out of the corner of my eye. That's probably what it looks like..."
    
    n "C'mon you guys. That's a pretty played out cliché."
    # And even the hero takes a jab at my story...
    
    s "It may be a little unoriginal, but you can't really tell how things are gonna play out."
    
    "The bell rings. Sydney stands up and grabs her bag."
    
    s "Back to my seat. Talk to ya later."
    
    n "Yeah."
    
    hide sydney
    hide cadence
    hide blake
    with dissolve
    
    "Sydney hops over towards the other side of the room, and sits at the empty desk in the corner."
    "Still a little embarrassed over the comment earlier, I tried to avoid eye contact with Cadence for the rest of homeroom."
    "The only thing to do is watch the teacher take attendance and wait for my name."
    
    $ dcname = "Teacher"
    dc "Hayes?"
    
    c "Here."
    
    dc "Hunter?"
    
    n "Here."
    
    dc "Kalvin?"
    
    $ dcname = "Student" # This kid's the final boss
    dc "Here."
    
    "I listen to the rest of the class chime in when their name's called. Only one person absent today. The empty desk is to my left."
    "Whoever sits there was absent the past four school days too. There goes my plan, I guess. It would've been easy to strike up a conversation with somebody next to you."
    "If I recall correctly, it's school policy that a student absent five or more days requires a doctor's note for the missing days to be excused. Unless they're really sick enough to go see a doctor, they should show up tomorrow..."
    "After a moment, when I guess the red in my face would have disappeared, I turn back around to face Cadence and Blake."
    
    show blake at lc
    show cadence at rc
    with dissolve
    
    b "We sitting together again for lunch, right?"
    
    n "I suppose so. I don't know too many other people yet."
    # And I don't plan on adding anyone else to the story, so you're damned to a high school life of unpopularity...
    # But hey, you get your pick of four pretty ladies, so it's not all that bad...
    
    c "Same table?"
    
    b "Yeah. Better lay claim to a table early in the year, or somebody will come around and take it, leaving you standing."
    
    scene hall with fade
    
    "The bell rings, and we leave homeroom. Blake and Cadence have first period English together, but I got stuck with Trig first period." 

    show sydney with dissolve
    
    "As I walk out the homeroom door, I spot Sydney waiting, leaning against the lockers on the opposite side."
    
    s "What's your first class?"
    
    n "Trig, room 302."
    
    s "Me too. Know your way around the building yet?"
    
    n "Not yet..."
    
    s "You should stick with me then. I know all the shortcuts. We'll be the first ones there, and have our pick of the seats."
    
    "Seat position in a classroom is extremely important. Picking a spot that allows for easy camouflage is critical."
    "Front row is too close to the teacher, and the back row is the most obvious retreat. Near the back, but not the edges."
    "The desks one in diagonally from the corners are good choices. Also, a knight's jump from the edges or the exact middle are also good, as they appear to be random spots."
    "With a strategic choice, you can manage to go whole weeks without being asked a question or called to the board."
    # >Sigh< what can I possibly say about this...
    
    n "Let's get going then."
    
    "I follow Sydney as we meander throughout the school. It seems that every move we make is taking us further from our destination."
    
    s "The distance may be a little more, but the traffic is way lighter. Trust me, we'll be the first ones there."
    
    n "Okay, if you say so..."
    
    s "What? You don't believe me?"
    
    n "I don't think that's the issue..."
    
    s "Don't worry. You can trust me."
    
    "Even though she assures me we'll be early, she begins to pick up her pace. I follow her, only two steps behind."
    
    scene classroom with fade
    show sydney with dissolve
    
    "As promised, we arrive early. Only two other students had beat us there."
    "A satisfied grin of victory is proudly displayed across her face."
    
    n "I won't doubt you ever again."
    
    s "At least you learned something today. So where are we sitting, boss?"
    
    "I point near the back corner. Both of the students who arrived took the two back corners. Rookies."
    "I take the desk diagonal from the left corner. Sydney takes the desk to my right."
    "Seems she is also well versed in the art of strategic desk selection."
    # oh no, it's contagious!
    
    s "So, when's your lunch?"
    
    n "Fourth. You?"
    
    s "The same. Mind if I join you?"
    
    n "Not at all."
    
    s "Cool."
    
    "After the lesson, Sydney affirmed she'd see me at lunch and dashed off."
    
    scene hall with fade
    
    "I trudged to my next class and got caught in a crowd just right outside my destination."
    "Sydney was right. The distance isn't important compared to facing traffic like this."
    
    scene classroom with fade
    
    "I was one of the last to reach the room, so all the strategic locations were taken. Luckily, there was a seat next to Blake, the only face I recognized in the class."
    
    scene classroom with fade
    
    "Third period was uneventful. I once again arrived later than the others, but I still managed to grab a decent seat."
    "Once everyone filled in, however, there was an empty seat next to me."
    "This put me in a rather vulnerable position, since an empty desk is something of a landmark in a classroom. We hadn't had class long enough to be asked questions yet, so I still had some time to have the seat filled." 
    "I hope somebody else will show up soon enough."
    
    $ save_name = "Thursday - Lunch"
    
    scene cafe with fade
    
    "And finally, lunch. One of the most anticipated parts of the school day, second only to the final bell that dismisses us all. I find the table I sat at Friday, and Blake and Cadence are already there."
    
    show cadence at lc
    show blake at rc
    with dissolve
    
    b "Hey."
    
    n "Hey."
    
    c "Making it through the school day okay?"
    
    n "Yeah. This place doesn't seem so bad, even if it is a school. But the halls can get surprisingly crowded."
    
    b "I always seem to get caught up in those messes."
    
    c "After second period is bad, but after lunch is the worst."
    
    n "Looking forward to it. Sydney not here?"
    
    c "Nope. She's eating with us?"
    
    n "Yeah, she said she'd find us."
    
    b "Probably up to something."
    
    c "Like what?"
    
    b "Maybe she's snooping around the main office, looking at student records again?"
    
    n "She did that?"
    
    c "Last year. Didn't she get suspended?"
    
    b "A week. But she was grinning when they found her. Guess she got what she was looking for."
    
    n "Why'd she do something like that?"
    
    b "Who knows?"
    
    hide blake
    hide cadence
    show sydney
    
    s "Hey guys!"
    
    "Sydney shouts from behind me over all the noise, and I almost jump out of my seat."
    
    show sydney at left
    show cadence
    show blake at right
    
    s "Talking about me, were you?"
    
    b "Yeah, about the time you got suspended."
    
    s "Which time?"
    
    b "For sneaking into the office last year."
    
    s "Oh that. There's better stories than that one to tell."
    
    n "Like?"
    
    s "One time I got a whole month's worth of detention, including Saturdays, cuz of that shouting match I had with the Biology teacher."
    # "The Egg came first!" "No, it was the Chicken!"
    
    n "Why...?"
    
    s "Well, the discussion became heated pretty fast, and before we knew it, the neighboring classrooms could hear us yelling."
    
    b "I remember that. You were so loud, the teacher had to stop the lesson. The whole class just sat there listening."
    
    s "Hahahaha."
    
    n "So you're pretty famous around here?"
    
    s "My notoriety knows no bounds. Best that you know I'm quite the delinquent now, instead of later."
    
    "She's even bragging about it... Just who exactly have I become friends with?"
    
    c "So where were you this time?"
    
    b "Vandalizing the girl's bathroom?"
    # Yep: "For a good time, call Blake at xxx-xxx-xxxx"
    
    s "Of course not. I've never done anything like that. Just checking up on something."
    
    b "You should graffiti the side of the school. That would make my whole day."
    
    c "No she shouldn't. Don't give her any ideas."
    
    s "Hey, what does that mean? You guys think I'd do something that bad?"
    
    b " 'Your notoriety knows no bounds.'"
    
    s "You believe I'm innocent, dontcha Noah?"
    
    n "Leave me outta this one. I don't wanna be involved in any criminal activities."
    
    s "Criminal?! Ouch... That one hurt..."
    
    "Yet, you are more than willing to drag me into your affairs, aren't you...?"
    
    hide sydney
    hide cadence
    hide blake
    with dissolve
    
    "The rest of lunch blew by fast. A relative calm I can only enjoy for a brief moment each school day. It should be longer..."
    "But this calm is quickly disrupted by an explosion of sound that accompanies the crowd of students bursting from their seats and running to the halls."
    "Cadence, Blake, and Sydney are still sitting, waiting for the flock of students to shrink."
    "I'm not sure if someone could actually get through that mess, which leaves me to wonder how it manages to move at all. The swarm, reaching its half-life, begins to move at a much quicker pace." 
    "Cadence and Blake wave goodbye and head for the other end of the cafeteria, which doesn't look any less crowded than this end. Sydney follows me as I try to push through."
    
    scene hall with fade
    show sydney with dissolve
    
    s "You should hang back a bit."
    
    n "I'm not sure if I can wait around any longer. The bell isn't too far away..."
    
    s "I'm saying you should hang around with me for a bit."
    
    n "Hmm? Don't you have class?"
    
    s "After lunch is study hall. Same with you, right?"
    
    n "Yeah."
    
    s "Skip it."
    
    n "...why?"
    
    s "Dontcha wanna hang out with your bestest friend ever?"
    
    n "Not really."
    
    s "Aww, why not?"
    
    n "You didn't answer my question..."
    
    s "I need your help with something."
    
    n "Something like...?"
    
    s "Need to swipe something from the main office."
    
    n "Asking for trouble, huh?"
    
    s "Don't worry. We won't get caught or anything. You gonna leave me hanging like this?"
    
    $ save_name = "Thursday - Study Hall"
    
    # This is where the first choice occurs
    # [ Help Sydney ] or [ Go to Study Hall ]
    # It should be obvious which one the demo follows
    
    n "I'm gonna pass. I don't need a reputation like yours when I just moved back."
    
    s "Fine, fine. I see how it is. I can manage without you..."
    
    hide sydney with dissolve
    
    "She walks off towards the stairwell down the hall, looking disappointed."
    "I can't tell if she really is disappointed, or this is a last minute attempt to inspire a change of heart."
    "Either way, I stick to my guns. I don't need any trouble."
    
    scene classroom with fade
    
    "I enter the room with a minute before the bell rings. Only about half of the desks are filled. No one's in a hurry to get to study hall."
    "There are 4 groups of desks in the room. Each group is a 2 by 4 rectangle of desks. The two rows in each rectangle face each other and pushed together, forming a makeshift table."
    "I won't be called on during study hall, so I take the closest desk to me, a corner desk."
    
    show parker with dissolve
    
    "In the seat in front of me sits a girl. The spot to my right is empty."
    "Wait, the whole group is bare, except for the girl before me. The room is only half filled with students, but the other three tables have at least 4 people each."
    "Did this girl scare away the other classmates?"
    # Parker bites...
    
    "I take the seat anyway, not knowing the story behind this odd arrangement of students."
    "It could easily be nothing at all, just a coincidence. Or maybe she's just not popular. She looks at me as I take the seat."
    "No, not quite... She sees me, but she isn't really looking. She doesn't seem to care enough to actually look at me, but she can't avoid me entirely since I'm in her line of sight."
    "Well, if she doesn't care, then I guess it's okay for me to sit here. Doesn't seems like she's saving any seats for her friends."
    "I glance around the table of desks again."
    "If she has any..."
    
    "I have no assignments to work on, nor anything else to do, so I stare back at her. I continue to look at her for several minutes."
    "The bell has already rung, and the rest of the class present."
    "Four of my classmates took the chairs at the far end of the rectangle, but left the row between them and us empty. I spot this peripherally, but my focus remains trained on the girl."
    "She doesn't budge at all. Is she asleep with her eyes open?"
    "She blinks, but there's no other movement. I can't even detect her breathing, she is so still."
    
    # Can't detect her breathing? Where exactly are you looking, Noah...?
    
    "An incredible aura of calm seems to surround her. My piercing gaze is aimed straight at her eyes. They shine an ice blue, but even they do not move."
    
    "She says nothing at all. Anyone else would've turned away or shouted at me."
    "This stare has crossed the line of creepy and is bordering on perverse." # Well, now we know what you were looking at...
    "I better say something before she gets the wrong idea."
    "Though if she was gonna get any kind of idea, she would've done something already."
    
    "I start simple enough."
    
    n "Hey."
    
    $ dcname = "Girl"
    dc "Hey."
    
    "She echoes."
    "I really didn't expect to hear much more than that for her first line, but it's abruptness mildly shocked me."
    
    n "I'm Noah."
    
    dc "I'm Parker."
    
    n "What's up?"
    
    p "Nothing. You?"
    
    n "Not too much. I'm new to this school..."
    
    p "I noticed."
    
    n "Yeah? What about you?"
    
    p "I'm not new."
    
    "I didn't expect her to answer the question so directly and so literally. She hit me with just the answer and no elaboration, so I continue, pushing a little further."
    
    n "How long have you lived here?"
    
    p "Five years. You?"
    
    n "Two weeks now, but I used to live here about six years ago."
    
    p "Is it still the same?"
    
    n "Only a few parts. It seems to have changed quite a lot since I've last been here. But that's to be expected, over six years..."
    
    "She nods in agreement."
    "That doesn't really help... I hoped she would say something I could respond to."
    "I'm already finding it difficult to talk to her, but that silence instantly kills the conversation. I think of something to say and find a question I want answered."
    
    n "Hey, do you remember the last time it stopped snowing?"
    
    p "No."
    
    "Her response is immediate. Did she even try to remember?"
    "I can tell that she really can't, however. Parker doesn't strike me as the forgetful type..."
    "It really must have snowed for a long time. Months? Is that even possible?"
    "We're not living in Antarctica..."
        
    n "It didn't use to snow like this. Even though I have a tough time remembering this place, I can recall hot and sunny days and many winters that weren't white... This snow is just bizarre..."
    
    p "It's only snow. It isn't hurting anybody."
    
    "She states calmly. While that is true..."
    
    n "It is cold..."
    
    p "Not really."
    
    "Say that again after school when I'm trying to hide in my coat. It is cold."
    
    n "You like the snow?"
    
    p "Not really."
    
    n "More of a summer person?"
    
    p "Not really."
    
    n "The rain?"
    
    p "Not really."
    
    n "Err, I'm running out of options here... Tornados?"
    
    p "Nobody likes tornados."
    
    n "I don't know. What about storm chasers? They seem to like 'em enough."

    p "Don't be difficult."
    
    "She cracks a slight smile."    
    "And with that, the period is over. It was maybe only 5 minutes worth of talking, so we must have sat through over a half hour of silence. Man, I'm kind of exhausted after that actually... It's kinda tough to hold a conversation with her."
    
label sixthperiod:
    $ save_name = "Thursday - Afternoon Classes"
    
    scene hall with fade
    
    "The bell marks the beginning of the 6th. The day is almost over."
    "I find my 6th period class room. History. How fun... But at least I know someone in that class."
    
    show cadence with dissolve
    
    "I spot Cadence before the door. We both reached the room at the same time."
    
    n "Yo."
    
    c "Hey."
    
    n "Shall we?"
    
    "I make a sweeping gesture towards the door with my hand. She nods and enter, and I follow her inside."
    
    scene classroom with fade
    show cadence with dissolve
    
    "A few of the seats are already occupied, but there are still plenty of options. I look around the classroom, trying to decide on my seat."
    "I spot a good position close to the middle of the room. Cadence is about to take the corner seat closest to the door, but gets up as she spots me walking away. I take my seat, and she then grabs the one on my right."
    
    c "You just got back, and you start picking our seats again. You did the same thing back in elementary school..."
    
    n "Well, you can't just sit in any seat."
    
    c "What's wrong with the seats over there?"
    
    n "Tch, tch... You've got much to learn, young grasshopper."
    
    "I detail my seat selection strategy to Cadence while more students are filing into the classroom. She has her head tilted slightly to the side as I talk."
    # Great, now he's teaching it to other people? Keep your stupidity to yourself, Noah, please...
    
    c "That's one of the stupidest things I've ever heard."
    
    n "You say it's stupid, but I just saved us from being called on frequently. We're almost perfectly camouflaged."
    n "The only reason we will get picked is because the teacher will eventually realize we haven't participated much in class."
    n "It's a tactic that's been thoroughly tested. Hasn't let me down yet."
    
    c "I'm embarrassed to even know you..."
    # and I'm embarrassed I even made up such a character...
    
    n "Okay, okay. Now lay off it. You can pick our seats for next period, okay?"
    
    c "Good, cuz you're gonna sit in the corner."
    
    "Maybe I shouldn't have exposed my strategy. Now she's intentionally going to pick a bad seat. But... she is right... It is kinda stupid..."
    
    "We manage to survive History. It may not have been so bad today, but I know it will get brutally boring later in the year."
    
    scene hall with fade
    
    "Cadence and I move on to our next and last class, Physics."
    
    scene classroom with fade
    show cadence with dissolve
    
    "We get to the room, and Cadence points to the desk in the front right corner, the closest one to the teacher. That's just cruel, and in Physics class no less."
    "I'm bad with science classes, and math isn't my strong point either. Actually, I think the only thing I'm good at is English class."
    "And Lunch."
    "If that counts."
    "I take the seat, making an obvious display of my disapproval of the choice."
    "I turn to my left, expecting to see Cadence drop herself at that spot, but instead she takes the seat behind me."
    "That's really cruel."
    
    n "No fair, you sit in the front row too."
    
    c "I don't think so."
    
    n "Cheat."
    
    "She puts me in the front row, the corner, and the closest possible desk to the teacher."
    "What does she do?"
    "She hides behind me."
    "I have a feeling she's going to enjoy my suffering. She isn't the nice and friendly girl I remember... What could have possibly corrupted her?"
    
    c "You're squirming."
    
    n "You're heartless..."
    
    c "Come on, let's move."
    
    n "Eh?"
    
    c "I was just kidding. I don't want to sit that close to the teacher either."
    
    "My plight must have inspired her mercy."
    "We move to a less conspicuous spot in the room. But she still makes me sit on the edge."
    "The class goes by quickly enough, since we're only beginning to touch the basics."
    "I managed to evade any homework assignments, but I doubt that's really an accomplishment this early in the year. I'd be surprised if anyone got homework today."
    
    $ save_name = "Thursday - After School"
    
    scene hall with fade
    
    "Cadence and I walk together downstairs to our lockers. We unpack our bags, unloading our textbooks into our lockers for a lighter hike home."
    "I look into my backpack. Now there's nothing in it. I wonder why I'm even going to bring it home, but I don't put it in the locker."
    "Instead I throw it on my back and head for the door. Freedom at last."
    
    # The paths diverge here depending on the choice made earlier
    # Since [ Go to Study Hall ] was forced on you in the demo
    # You get to meet Mackenzie in the first day... lucky you...
    
label macwalk:
    
    scene school with fade
    $ renpy.show('snow', layer='snowlayer')

    "My slow march away from the building begins. The snow continues to fall, right were I left it this morning."
    "I can hear various conversations around me, and spot several groups of students walking home together."
    "The town is a pretty small community, and everyone lives close by, so I'm sure there are no buses. The crunch of a thousand footsteps pushing onward in the snow echoes from the school."
    "Some parents do drive in to pick up their kids, but it isn't really necessary. Everyone in this town (including me) is already well acquainted with the snow. There shouldn't be any problems getting back home on foot."
    "But I guess some parents are like that."
    "My parents were like that... but they won't be picking me up..."
    "But that's okay."
    "I continue my journey home, trying to enjoy the scenery. It would be easier if I hadn't seen nothing but snow for the past 14 days. It's getting really tiring, all this white. Any other color, please..."
    "Lil said she'd be working until five and I don't have any homework. I see no reason to hurry home, so I drag out the walk as much as possible."
    
    scene alley with fade

    "I wander the streets of Evergreen Valley, taking turns here and there for no real reason. I intentionally take longer routes to waste some time. But maybe I took a turn too many..."
    "I look around, trying to find some kind of landmark. There's nothing in sight and the street names are unfamiliar. I spin around in place, trying to find something, and end up dizzy and disoriented."
    "Now I forget which road I took to get here. Looks like I'm a little lost..."
    "I doubt I'll stay lost for long. The town is so small, if I head in one direction, I'll have to bump into something I recognize. I choose the road ahead of me, and begin to follow it."
    
    scene house with fade
    
    "I don't know any of these house or anything else I see, but my eyes do fall on an interesting sight."
    
    show mackenzie with dissolve
    
    "A girl, who appears to be about my age, is standing at the side of her house. She swings her arms forward with all of her strength, and then pulls them back, preparing to swing again."
    "There is something in her hand. The only thing I can think of is a baseball bat. But this is definitely not baseball weather. I move closer."
    "The obgect in her hand shines, reflecting the light off of the sun and the snow. It must be some kind of metal. I continue my march onward, nearing her with every step."
    "I now have a good look of it."
    "What... the....."
    "I stand before her house, staring at her, making sure I'm not seeing things. She notices and turns to face me. Her angry look shouts at me, asking what I want."
    "It takes me a while to snap out of my trance."
    
    n "Hey."
    
    "At this, her eyebrows form a sharp V. She is quickly becoming impatient with me. As I glance at what she's holding in her hands, I quickly follow up."
    
    n "What... uh... are you doing?"
    
    $ dcname = "Girl"
    dc "Swinging."
    
    "She responds simply. She cocks back her arms, and takes another swing. She turns away from me."
    "Which is good."
    "I certainly wouldn't want her to charge at me..."
    "She pulls her arms back again, but this time rests the handle on her shoulder, and turns around again to face me. Her face is even angrier than before."
    
    dc "Still here?"
    
    "She was hoping I would leave, but I stay."
    "I've probably lost all of my common sense. Her face displays her irritation with me. She should be the last person I'd ever want to piss off."
    "My gaze hasn't shifted at all. My eyes aren't trained on her, but what rests on her shoulder. Now that she has stopped moving, I get my clearest view of it yet."
    "Attached to a simple, smooth, wooden pole is a broad, grey, metal edge. It looks skin-splittingly sharp and has no signs of use or wear at all. The edge is clean and perfect, not a scratch or a chip anywhere."
    "It really is an ax. What would she be doing with that?!"
    "Was she practicing swinging it?? Why would she even need to do that?"
    # For Rena tryouts, obviously... "Hello, my name is Mackenzie Cave, and I'm auditioning for the role of Ryuugu Rena."
    
    n "Just what are you doing... swinging around an ax?" 
    # "What's that machete for? What is it?"
    
    "She swings the ax as she replies."
    
    dc "Getting a feel for it." 
    # "AHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHAHA!"
    
    "An explanation is justified in such an unusual case, but she still spits it at me violently."
    
    n "Why?"
    
    "This interrogation is testing her nerves. She answers simply."
    
    dc "Firewood."
    
    "A reasonable explanation. Practicing swinging to chop firewood seems a little odd to me, but as long as she's not gonna hurt anybody..."
    "She drops the ax, letting it fall to the ground. She puts her right hand on her hip and glares at me. Even in an angry stance, with the ax away, she is much more approachable. She probably doesn't like me very much right now, but I try to strike up a conversation. I start by introducing myself."
    
    n "I'm Noah."

    "She shifts her weight to her right leg. Her burning eyes shout 'I don't care', but etiquette tells her to introduce herself as well."
    
    dc "Mackenzie."

    "She gives her name reluctantly, and almost inaudibly, hoping I wouldn't pick it up. But even her whispers cut through the dead silence surrounding us, and reach my ears perfectly."
    
    n "Nice to meet you, Mackenzie."
    
    m "Do you want something?"

    "Her sharp words forcefully push me away. Either she has a really bad temper, or she eagerly wants to return to practicing her swing."
    
    n "I was just curious what you were up to... You have to admit, that's not a sight you see often."

    "She shrugs at this, and waits for me to leave or continue."
    
    n "Sorry if I bothered you, but just imagine what would've happened if a police officer or someone else walked by..."
    
    m "The police are worthless. They can't do anything around here."
    
    "Rage boils in her voice... She seems to despise the police. There's much more contempt in her now compared to when she was angry with me. I'm a little nervous at this statement. Just who am I dealing with?"

    m "They sit on their asses at their desks all day, and don't get anything done. They are completely incompetent. The only thing they're capable of is writing parking tickets."

    "Maybe, but this is a small, quiet town. That's probably the only \"crime\" being committed around here. I get the impression that you'd be more than willing to stir up trouble though..."
    "She sees my thoughts on my face."
    
    m "Don't look at me like that! I'm no criminal." 
    # "The murderer is not human. Everything is decided by Oyashiro-sama..."
    # Onikakushi is still my favorite arc... the others just aren't the same...
    
    "Time to change the subject."
    
    n "So do you go to the high school here?"
    
    m "...yeah."
    
    "She still appears angry, but she doesn't seem as argumentative anymore. Perhaps she thinks she can get rid of me quicker if she just cooperates."
    "I can tell that I'm still getting on her nerves though, so I should try to end this conversation quickly."
    
    n "What homeroom are you in?"
    
    m "Eighteen."
    
    n "So am I."
    
    "Her face tells me what she's thinking. 'Oh, great...'. Her body is very vocal, her anger is painfully conspicuous, but I'm surprised she doesn't actually say these things. She doesn't seem like the type to hold back like that..."
    "I find this to be an opportune time to end the talk, before she starts to chase me down the street, ax in hand."
    
    n "Well, then, I'll see you tomorrow."
    
    m "Hmph."
    
    hide mackenzie with dissolve
    
    "She picks up her ax, and heads towards the back of her house. She disappears from my sight, so I continue my journey home."
    
    "I reach the end of Mackenzie's street and find a road I'm familiar with. I'm not too far from my house now. I should probably head straight home from here, or I might run into another ax-wielding maniac..."
    "I glance at my watch. It's getting kinda late. I really did end up getting lost... Lil probably even beat me home..."
    "As I make my way back home, I notice the colorless sky pick up a yellow-orange hue as the sun descends. It may only be a faint change, but at least it's a color other than white."
    
    $ renpy.hide('snow', layer='snowlayer')

    
label homedayone:
    $ save_name = "Thursday - Home"
    
    scene kitchen with fade
    
    "I am welcomed home as soon as I open the door. Looks like Lil got home before I did."
    
    n "Hey. Been waiting long?"
    
    l "No, haven't been here that long. You hungry?"
    
    n "Yeah, I kinda am. What's for dinner?"
    
    l "Your favorite. Microwave Pizza Things!"
    
    n "Awesome."
    
    "Lil puts down the book she was reading and hops towards the kitchen. I grab two paper plates and set them near the microwave. Lil grabs the two personal pizzas out of the freezer and rips one of the boxes open."
    "She tosses the pizza into the microwave, presses the buttons according to the directions given on the box, and begins to open the other pizza box."
    "I open the fridge and snatch two soda cans from the bottom shelf. I grab a pair of napkins and set them and the sodas in their appropriate place on the dinner table. The microwave alerts us that it's finished."
    
    l "You can grab that one."
    
    n "Okay."
    
    "I open the door and slide the pizza onto my plate. Lil walks in with the other frozen pizza, plops it in the microwave, and sets the timer just like before. I take my seat, and wait for Lil to appear."
    "She insists almost everyday that it's okay for me to start eating before her, but I think it's rude. I watch the timer as it counts down. The microwave's beep summons Lil from the kitchen, and she sits down at her place at the table."
    
    l "You could've started without me, ya know."
    
    n "It's not very good manners..."
    
    l "I don't mind at all. Honestly."
    
    n "Still... Old habits die hard, right?"
    
    l "Thanks for waiting anyway."
    
    "We dive into our microwavable delicacies. It may be a simple meal, but I really enjoy it. These ready-made meals fit nicely into my new life in this house. It just wouldn't feel like home if we actually eat something decent for a change..."
    "Lil didn't inherit any of Mom's cooking techniques since she lived with Dad. I didn't learn any either, because I wasn't interested. I regret it, but it's too late for either of us to learn now."
    "But that's alright. These prepackaged, effortless meals fit into this life. This room has a warmer, closer atmosphere to it than anytime Mom had ever cooked. This is home."
    
    "Even though I like the microwave meals more than a home-cooked one, Lil apologizes anyway."
    
    l "Sorry about this. Pizza again... I get paid tomorrow, but the budgets a little thin right now."
    
    n "It's okay, don't worry about it."
    
    l "Maybe I'll make something nice tomorrow."
    
    n "This is fine."
    
    l "Maybe for you, but I've been eating crap like this for six or so years, ever since you and Mom left. It'd be nice to have something decent for a change."
    
    n "Yeah, but don't go and blow a paycheck on one fancy meal... The rest of the week's budget will be even thinner."
    
    l "Hmm... Guess you're right... Maybe I'll just grab one of the fancier brands..."
    
    n "Why's money so tight anyway? Didn't you collect Mom's insurance yet?"
    
    l "There's some technicality that's hanging everything up. I gotta go down and straighten it out pretty soon. There's also an issue with the inheritance, but Mom didn't really have that much..."
    
    n "Yeah, you're right..."
    
    l "But a kid your age shouldn't be worried with the boring details of adult matters."
    
    n "I suppose so."
    
    l "So how was school today?"
    
    n "Eh, it is school, ya know."
    
    l "Yeah, I know. Any homework or things like that?"
    
    n "Nope. We're just starting after all."
    
    l "Of course. So how's Cadence been?"
    
    n "She's fine."
    
    l "You should invite her over sometime. I haven't really talked to her or her parents that much. It'll give us both the chance to catch up."
    
    n "Yeah."
    
    "Light-hearted conversation continues until both personal pizzas disappear. Clean up is quick and easy."
    "Lil flicks a few lights on throughout the house. I can't see outside, but I know it's already dark."
    "Lil always closes the curtains before sunset. It feels like I'm locked in this house, but I don't complain. There's a warm and cozy feeling flowing through all the rooms. Safe and secure. It really is home."
    
    scene room with fade
    
    "The rest of the evening is pretty normal. I watch TV for a while, then run upstairs, play with the computer for a bit, and then call it a day."
    "Buried under my covers, I stare up at the ceiling. I can picture the snow falling outside in the pale moonlight. The ground and the moon reflect white light off of each other and shine with a ghostly glow." # it isn't white, my friend...
    "I'd like to see it, but my body has become heavy since I laid down in my bed. I'll have to save it for another night."
    "The moon and the snow... They're not going anywhere..."
    
        
    scene black with fade
    $ renpy.pause(1)
    show text "Friday, September 13th" with fade
    $ renpy.pause(2)
    scene black with fade
    $ renpy.pause(1)
    $ save_name = "Friday - Morning"
    
    scene white with dissolve
    
    "A blindingly white world."
    "It's still snowing. I can't see it, but I feel the flakes melting on my skin."
    "It feels like I'm standing on snow. Am I outside? But I can't see a thing. There's absolutely nothing in front of me but white."
    "I turn around. All is white on this side, too. I'm afraid to take a step forward. This one spot may be the only ground."
    
    $ dcname = "Voice"
    dc "You can't stay."
    
    # I don't have any graphics for this scene either... which is a shame... but you'll get to see it in the full version, right?
    
    "I turn back around to face the voice. It belongs to a little girl. As I look at her, I realize she has no color. Like a black-and-white movie."
    "She stares straight at me, her gaze doesn't break. Her grey eyes are full of determination."
    "She looks familiar..."
    
    $ dcname = "Girl"
    dc "You can't stay."
    
    "She repeats in a clear voice. It is not loud but it is strong. I absorb every syllable, as if she is speaking directly into my mind."
    
    n "Whatcha say?"
    
    "I hear it five more times as my voice echoes throughout the bright nothingness."
    
    dc "You don't belong here. You shouldn't be here. You can't stay here."

    n "Why's that?"
    
    "Her voice cuts straight through the air, while mine continues to echo."
    
    dc "You're giving too much, and you're taking too much away."
    
    n "Huh?"
    
    "Only now do I notice the other little girl, kneeling behind her companion. The two look alike, except this one has color. They could be sisters, or even the same person..."
    "The technicolor twin appears almost lifeless, her arms are limp and her hands brush against the invisible earth."
    "A clear thin river of tears streaks down her right cheek. Her left cheek mirrors her right in perfect symmetry. Except it lacks the same glimmer, and that color..."
    "Red...? Blood?"
    "I begin to feel uneasy, sick. My hands and legs begin to tremble. I notice that I'm starting to lean forward, then I fall to my knees. The girl continues to shed tears and blood. She opens her mouth wide, and..."
    
    "A glass-shattering screech hits my ears."
    
    scene room with fade
    
    "I wake instantly, jumping right out of bed. I look around for the source of the sound."
    "Arr..."
    "The world's most annoying alarm clock." # my alarm clock... 
    "I resist all urge to break it as I switch off the alarm. I've had other alarm clocks before, and the alarm on this one is by far the most annoying. Drives me absolutely insane."
    "Annoying, but effective."
    
    n "...what a weird dream..."
    
    scene kitchen with fade
    
    "I quickly get dressed and dash down the stairs. I whip through the rooms and find myself in an empty kitchen."
    "Lil must've had an early day at work. She's already gone. A quiet breakfast this morning. I grab a bowl and start pouring the sugar-coated flakes into it. I hop over to the fridge, and open the door."
    "And that's when I witnessed the greatest tragedy mankind has ever known."
    "The milk was missing."
    # DUN DUN DUN!!!!
    
    "I distinctly remember the milk was there last night. I find the empty carton in the trash. She had to have used it all up this morning... but there was a good amount left, wasn't there?"
    "I check the coffee maker. The pot feels warm, and there's a thin puddle of the murky brown liquid sitting in the bottom. Throughout the interior of the pot are drops of coffee clinging to the sides. The highest drop measures to about 3 cups worth of coffee."
    "3 whole cups... That fiend. Neither the milk or I stood a chance."
    "She will pay for this... Oh, she will pay..."
    "I turn back to the counter and stare down the dry bowl full of cereal. Is... Is it even possible? I really shouldn't skip breakfast just because of this. Most important meal, or something..."
    "I grab the bowl and trudge on, half-heartedly, to my seat at the table. I take the first bite. A resoundingly loud crunch echoes throughout the room. Torture. Pure torture."
    "I'm not sure how, but I end up finishing the bowl anyway. Maybe I already blocked it out..."
    
    # There was gonna be more to the milk dilema ( I know what you're thinking, can he possibly complain anymore, but actually it was going to be something of a clue)
    # But changes in the script got rid of the need. It still might be possible to incorporate in into other paths for day two, though, and I kept it anway because
    # it gives Noah an excuse to head home during the Cadence Tour event where Lillian gives her final warning about not breaking curfew before that fateful moment in the park...
    
    scene path with fade
    $ renpy.show('snow', layer='snowlayer')
    
    "I step outside, and shut the door firmly behind me. The snow still keeps at that leisurely pace from yesterday. I doubt it stopped at all last night."
    "Maybe Evergreen Valley's just a giant snow globe... Some otherworldly force turns it upside down at night, so it can borrow the snow that fell the day before. Maybe that's why it hasn't stopped at all."
    "It never seems to pile up. Looks about the same height as yesterday. It was barely snowing, so there probably wouldn't be much of a difference, but if it kept steady like that for over a few weeks, it'd have to get higher..."
    "There's no rational explanation for this. So I had to come up with an irrational one. Giant snow globe theory. Best answer I've heard yet."
    "If that's the case, then wouldn't we feel earthquakes? Somebody would have to shake it to get the snow to fall again. Luckily there haven't been any earthquakes."
    "Ahh, I just came up with that theory, and it's already been disproved..."
        
    $ save_name = "Friday - Homeroom"
    $ renpy.hide('snow', layer='snowlayer')
    scene hall with fade
    
    "I stop in front of my locker, and spin the combination lock appropriately. Once it opens, I fill my empty bookbag with the textbooks I'll need for the first half of the day."
    "Trigonometry, Spanish, and English textbooks drop into my bag. After my English class is lunch, so I can exchange these books for my afternoon ones then."
    
    scene classroom with fade
    
    "I take my seat in homeroom. Blake and Cadence have already arrived. All the other seats around me are empty, and Sydney isn't present either."
    "Thoughts of my disproved theory remind me to ask around. Maybe I should try Blake or Cadence to see what they know. Any other opinions to help solve this mystery..."
    
    show cadence with dissolve
    
    n "Hey, Cadence..."
    
    c "What's up?"
    
    n "You wouldn't happen to know what's causing all this snow, do you?"
    
    c "Sorry, I don't. I don't think you'll find anyone who does."
    
    n "So it wasn't something that happened to the town or anything?"
    
    c "I can't recall what could have caused it..."
    
    n "Well, the town seems to have changed quite a bit. I thought something new could've been the cause of the snow."
    
    c "There's nothing I can think of. You used to like the snow... Not anymore?"
    
    n "I'm starting to get tired of it..."
    
    c "I think it's amazing."
    
    n "It's unnatural."
    
    c "It's amazing because it's unnatural."
    
    n "Guess I'll have to try to get used to it, along with all the other changes to the town."
    
    c "Have you gotten yourself used to living back here yet?"
    
    n "Only a little."
    
    c "How about I give you the tour after school. I could point out what's changed."
    
    n "Sounds like a plan. You're not busy or anything?"
    
    c "Of course not. I can always spare some time for a friend."
    
    n "Okay then."
    
    hide cadence with dissolve

    "My conversation is halted when I feel a presence behind me. I turn around to face the person who sits at the desk to my left."
    "The black haired girl who just took her seat has been absent from school for the first four days of the year. So, this will be the first chance I'll have to talk to her."
    
    # This is where you meet Mackenzie for the first time if you didn't meet her the first day
    # but fortunately for you, you already have, so you get this scene instead...
    
label knowmac:
    
    "Or so I thought. But it appears I already had a conversation with this girl before. Oh, this is going to be so much fun..."
    
    n "Hey, Mackenzie!"
    
    show mackenzie with dissolve
    
    "There is a noticeable pause before she turns to face me. Has she recognized my voice already? I must have left an impression on her yesterday, then."
    "She spots me with a rather stupid grin on my face, and her expression quickly reveals her thoughts. \"Oh, great...\""
    
    m "I should've stayed home..."
    
    n "And cut class again?"
    
    m "Who said I was cutting?"
    
    n "Well, you were absent for four days, but you didn't look sick at all when I bumped into you yesterday. Although, you did seem to be quite irritated."
    
    m "I wonder why..."
    
    n "Yeah, you looked exactly like that! Maybe you really should've stayed home... Whatever you have, is it contagious?"
    
    m "I'm not sick..."
    
    n "So you admit to cutting class?"
    
    m "There are other reasons to miss school that sickness, you know..."
    
    n  "Like cutting?"
    
    m "Drop it already."
    
    n "So what reason did you stay home?"
    
    m "That isn't any of your business."
    
    n "Yep. You cut."
    
    m "I told you to drop it, didn't I?"
    
    n "Okay, okay. I'm done."
    
    m "Thank god."
    
    "Mackenzie begins to turn around, looking both angry and exhausted. We've barely exchanged a few words, and she's already that annoyed. I think I have a talent for this kinda thing, so I might as well make use of it..."
    
    n "You just got your schedule today, right? So what classes you have?"
    
    "I call out to her again. This time she flinches, as if she just heard fingernails getting scraped across a chalkboard. She's just so expressive, I can't help but have fun ticking her off."
    
    m "Hopefully none of yours..."
    
    n "Let me see, and we'll find out."
    
    "She glares at me, her eyes clearing yelling at me that I'll never see that schedule once in my whole life."
    "But then, the anger fades and is replaced by a plainer face while she sits in thought for a while. She then silently hands her schedule over to me."
    "It was a slight surprise, but I soon as I take it from her, I get a feeling why she gave it up so easily. So if we do have a class together, she can prepare herself for it ahead of time."
    
    n "Ah, you're in luck!"
    
    m "You're a hundred feet away from me at all times?"
    
    n "We have third period English together. And lunch after that."
    
    m "Sounds like fun..."
    
    n "Don't it?"
    
    m "Not at all."
    
    hide mackenzie with dissolve
    
    "She shrugs and turns the other way. When the bell rings a minute later, Mackenzie practically bursts from the room, trying to escape as quickly as possible."
    
    n "Whoa... Maybe she really does hate me..."
    
    show sydney with dissolve
    
    s "Her first day back, and you already pissed her off? Should I be impressed or scared?"
    
    n "Ha, ha... laugh all you want."
    
    s "I wouldn't worry about her that much."
    
    n "If you say so..."
    
    s "C'mon, we got our own class to get to."
    
    n "Yeah."
    
label mtalkdone:

    $ save_name = "Friday - Morning Classes"
    
    scene hall with fade
    show sydney with dissolve
    
    n "So I guess this is a regular thing now?"
    
    s "What, you don't like me?"
    
    n "That's not it. I was just asking for a confirmation, or something..."
    
    s "If you want to get caught up in the stairwells and late for class, then you can go ahead. I won't miss ya."
    
    n "Won't miss me, huh? \"What, you don't like me?\""
    
    s "Nope."
    
    n "That's cold."
    
    s "Hahaha. Aww, did I hurt your feelings?"
    
    n "Don't mind me, I'll just be crying in the corner."
    
    s "Don't worry, I won't."
    
    n "...really cold."
    
    s "Hahaha."
    
    n "You laugh a lot, don't you?"
    
    s "Do I? Guess I didn't notice... Is there something wrong with that?"
    
    n "Not at all. Keeps things fun. It's a good quality to have."
    
    s "Yeah, hahahaha."
    
    n "But if you keep it up too much, you'll get wrinkles."
    
    s "That's mean... or are you worried about my pretty face?"
    
    n "Yeah right."
    
    s "Hmm? I thought you were only hanging out with me because I'm cute."
    
    n "You think you're cute?"
    
    s "Alright, not another word."
    
    n "Heh heh heh."
    
    "Looks like I get the last laugh."
    
    scene classroom with fade
    
    "We arrive at class, early just like yesterday. We take our seats and wait for the classroom to fill up with the other students. Sydney confirms that she'll be eating lunch with us again today, and we get a few other words in before the teacher starts the lesson."
    
    scene hall with fade
    
    "First period trudges on at a snail's pace, but finally ends. I rush out of the room, trying to beat the traffic before it accumulates. Yesterday, the hall was swarmed with people on their way to second period. Trying not to get caught up in the same mess, I dash through the halls, and take the first stairwell I find."
    "That probably wasn't the best idea... It looked like the entire school was crammed into that hollow stairway. The traffic is just as heavy as the other day, but thanks to a slight head start, I manage to reach the room before most of the class."
    
    scene classroom with fade
    
    "I take my seat. Blake isn't here yet, so at least I managed to beat somebody. He is one of the last to arrive."
    
    show blake with dissolve
    
    b "Sorry, but I'm not in much of a hurry to get to Spanish class..."
    
    "He says, demeaning the small victory I had just held over him a second ago. What a killjoy..."
    "After a brief lesson, the teacher then assigns us a few problems from the textbook to work on in pairs."
    
    b "So, did you get this answer yet?"
    
    n "To the first one? Yeah."
    
    b "Let me see."
    
    n "Did you even try it?"
    
    b "Nope, but you already did it. Why let all that work go to waste on just your paper?"
    
    n "You planning to copy the whole assignment off of me?"
    
    b "Yeah, is there a problem?"
    
    n "What if I just stop doing it?"
    
    b "You wouldn't want to be responsible for letting my parents down, would you?"
    
    n "You should do your own work..."
    
    b "How naive. Everyone knows that the key to success isn't hard work, but getting other people to do it for you. Now get back to work!"
    
    "Seemingly from out of nowhere, Blake produces an old wooden ruler, and swings it down. I pull away my hand just in time, and hear it crack agianst the desk."
    
    n "What the hell?! Are you trying to take off my fingers?!"
    
    b "I won't have to resort to corporal punishment if you do the work for me already."
    
    n "Dude, that's too much..."
    
    b "Spare the rod and spoil the child."
    
    n "Alright, alright. I'll let you see it when I'm done..."
    
    b "Heh heh heh. Of course you will."
    
    "I continue working on the assignment. I finish before anybody else, but not because I'm good at Spanish. Aside from the first three questions which I had already answered, I intentionally filled out incorrect answers to the textbook problems."
    "I'll just change my answers back when I get home. I don't expect him to learn his lesson instantly, but eventually he'll catch on to why my paper gets an A while his gets a zero. If he cares at all about his grade, he'll then start to do his own work."
    "But he probably doesn't care at all about his Spanish grade... Oh well, it'll be fun in the beginning anyway."
    "I push my notebook onto his desk, and he begins to copy my answers word for word. Heheheh, sucker."
    "Once I learn some more Spanish, maybe I should get a little creative and put down answers like \"I like to eat trash\", or if I get really good, \"I touch myself at night.\" I'd love to see the teacher's reaction to that one. But I highly doubt they'd teach that in school... They should, though. It'd be an effective anti-copying defense."
    # If anyone knows how to say "I touch myself at night" in Spanish, I would like to know... for the story, of course.......
    "Blake finishes with my notebook and hands it back. I take it and throw it sloppily into my backpack with my textbook. A few seconds later, the bell rings, and it's time for third period."
    
    scene classroom with fade
    
    "I take a seat in my English class. It's still early, but I hope the seat next to me gets filled in today. I hate it when there's no one next to me. It leaves me vulnerable. All the effort put into choosing a seat, it'll go to waste at this rate."
    "Hmm... The missing student has been absent for four days now. Sounds like somebody in my homeroom. Now what are the odds that..."
    "Before I even finish the thought, my guess is proven right. The girl with black hair and a mean face falls into the seat next to me."
    
    show mackenzie with dissolve
    
    "I give my warmest, friendliest smile as I greet her."
    
    n "Hello, Mackenzie."
    
    "She responds with a \"Hmph\" and the meanest looking glare she's got."
    
    n "Ready to learn, classmate?"
    
    m "Tch."
    
    n "Have any idea what book we're reading first...?"
    
    m "Psh..."
    
    n "You know, this is English class, so you'll have to speak it eventually."
    
    m "Not to you."
    
    n "Ha! You already lost."
    
    "Her usual angry expression is now replaced by a rather stupefied one. At least it's a change..."
    "The bell then rings and English class begins."
    
    scene classroom with fade
    show mackenzie with dissolve
    
    $ save_name = "Friday - Lunch"
    
    "The bell sounds, marking both our freedom from this boring lecture and the time to fill our faces. Lunch is the greatest thing to ever happen to the school day."
    "Mackenzie heads out the door, and I lurk right behind her. She's quick to notice and turns around to face me, that classic angry scowl on her face."
    
    m "Why are you following me?"
    
    n "We're in the same homeroom, so naturally our lockers would be close to each other, right?"
    
    m "Hmm....."
    
    n "You have lunch next too, right?"
    
    m "...Yeah?"
    
    n "Wanna sit together?"
    
    m "You're just gonna bother me if I say no, right?"
    
    n "Yep."
    
    m "Then I don't even have a choice..."
    
    n "Of course you don't."
    
    "She takes her time weighing the consequences. After a moment of deep thought, she gives me her choice."
    
    m "Well, I don't have anyone to sit with anyway, so you're lucky. I'll tag along today, but don't think this means we're friends or anything."
    
    n "Whatever you say, amigo."
    
    scene cafe with fade
    show mackenzie with dissolve
    
    "We both head towards our lockers, drop of our morning books and fill our backpacks with our afternoon books. I spot the table where Blake, Cadence, and Sydney are waiting, and Mackenzie follows."
    "Right before I take my seat, I noticed that Mackenzie stopped and now just stands before the table. I quickly notice who she's glaring at."
    
    hide mackenzie with dissolve
    
    "But before anybody gets a word out, Mackenzie turns around and walks away. I'm about to give chase when she completely vanishes in the crowd. I won't be able to find her if I do go look. She sure left in a hurry..."
    "I sit down and stare at the person who scared Mackenzie away. She just looks back at me with a smile on her face."
    
    show sydney with dissolve
    
    s "Ran away again, huh? What did you do to her, Noah?"
    
    n "I didn't do anything. She left when she saw you."
    
    s "Did she? I wonder why..."
    
    n "What exactly was that about?"
    
    s "No clue. I'm just as lost as you."
    
    "That wide grin of hers acts as a barricade. No matter how much I press, she won't let anything else up, I can tell."
    "Despite that nagging feeling of curiosity that doesn't leave me once, lunch proceeds normally."
    
    # Oh, that Sydney... just what did she do this time?

    $ save_name = "Friday - Afternoon Classes"
    
label knowpar:
    
    scene classroom with fade
    
    "5th period is study hall. I don't have any real work to do, so I'll have to find another way to kill time."
    "I can try talking to Parker, but that didn't go so well yesterday... It was kinda tough talking to her. The way she talks pretty much ends the conversation right there."
    "I know, I'll try to keep her talking for as long as possible. I can make a game out of it. At least I won't get bored or anything."
    "And so the contest began. I took the seat across from my unknowing opponent, and opened with a simple greeting."
    
    show parker with dissolve
    
    n "Hey, Parker."
    
    "She lifts her hand off of the desk with absolutely no enthusiasm whatsoever. A flick of the wrist, and the hand drops back down onto the table. The absolute minimum requirement to be considered a wave. Well, at least she did greet me, no matter how weakly."
    "And with that, I am already defeated... Not even one word out of her. This isn't a very good start."
    
    n "How's your day been?"
    
    "The hand of doom rises once again, hovering only four inches above the desk. It gives another half-hearted wave, telling me her day has been \"so-so.\" I wonder... If I tied both of her hands down, would I have any more luck getting some words out of her? Even if I were to resort to torture, I wouldn't get one \"Ouch!\""
    "My head falls. The bell that starts study hall hasn't even rung yet. Class hasn't officially started, but already I'm this exhausted. Only Parker has this kind of talent."
    "Why, Noah, do you bother? Your efforts are in vain. Futile, futile, futile..."
    "No, no, it's still too early to give up! You have to be resilient!"
    "I raise my head and my eyes fall upon her face. Her cold, unmoving expression... It instantly slays whatever strength I just had. My head drops again."
    "I'm not a very strong-willed person... No determination at all... People would be embarrassed to know me if they saw how quickly I just quit. But then again, I don't see anybody else even trying to talk to her."
    "Game Over."
    
    n "Ahhh, you're no fun. I'm going to sleep..."
    
    "My upper body crashes onto my desk, sprawled out in an awkward fashion. I rest my head on my arm and close my eyes."
    "The light from the windows pierces my eyelids, quickly changing my blackened world into a brilliant red."
    "I try to sleep and lose track of time. I remember the bell rang, so at least class started now. I can vaguely hear the other students talking, but I can't make out any of their words. The person across from me hasn't made a single sound."
    "She never makes a sound. I only managed to hear her voice a few times yesterday, so I already forgot what it sounded like. I haven't heard her cough, sneeze, yawn, or sigh. Haven't heard her footsteps or her fingers tapping on the desk. Not even her chair creaks."
    "Somebody who is this unbelievably quiet... and I tried to talk to her. I wonder what her friends are like... They're probably all mimes... Maybe she knows Teller or Silent Bob?"
    # I know Kevin Smith can talk, but has anyone heard Teller say anything? I haven't...
    
    "I shift my head and turn towards the quiet girl. I wouldn't have been surprised if she wasn't there. She just as silent either way."
    "I blink a few times and continue to look up. She stares down at me from above. In fact, it looks like she was that way the whole time."
    
    n "What time is it?"
    
    "Even though I'm wearing my watch, I try to catch her off guard. She wouldn't be so rude as to not tell me the time, would she?"
    "She points to the clock behind me. I turn around to see it. Surprisingly, there's only about ten minutes left in class. I know I didn't fall asleep, so it really is shocking to see that much time pass by. Looks like my plan didn't work, though."
    
    n "Ya know, you weren't this quiet yesterday."
    
    "A shrug is the only reply."
    
    n "Did your tongue fall out or something?"
    
    "Her response is once again wordless, but pretty surprising. I expected her to simply shake her head no, but instead, she sticks out her tongue. I hold in my laughter. Her serious personality doesn't match that silly expression at all."
    "She cracks the same slight smile from yesterday. At least she has a sense of humor."
    
    "The last ten or so minutes pass by wordlessly. The bell rings and I get up."
    
    n "See ya later."
    
    "Parker nods."
    
    n "Aahh, wordless to the very end, eh?"
    
    "She flashes a somewhat sinister grin. Looks like she wins this round."
    
    scene hall with fade
    
    "Hey, wait a second... Don't tell me she was making a game out of not talking to me...?"
    "As I slowly trudge on to my next class, I can't get rid of the feeling telling me that's exactly what just happened..."
    
label partalkdone:
    
    scene classroom with fade
    
    "The next two classes pass by at a miserably slow pace. As much as I beg and hope that the last two classes will end quickly, the minute hand on the clock did not move any faster."
    "Both History and Physics are fatally boring. How can the school even offer classes like that? It's an endangerment to our health! I'm sure my brain would've atrophied if I listened to any more of that crap... if a brain can atrophy..."
    
    scene hall with fade
    
    "I trudge through the halls at a snail's pace behind Cadence. She's constantly turning around and waiting for me to catch up. I'm sorry, but I just don't have any energy after that... Not even enough energy to voice that apology..."
    "We finally reach our lockers and begin to unload our books. I remember to grab my Spanish stuff, so I can change those answers. Just remembering that and picturing Blake's face when he gets that grade back gives me back the energy lost in sixth and seventh periods."
    

label cadencetour:
    
    $ save_name = "Friday - The Tour"
    show cadence with dissolve
    
    c "You ready to go?"
    
    n "Yeah, all set. Let the touring commence!"
    
    c "You make it sound like you haven't lived here before..."
    
    n "Not in six years, I haven't."
    
    scene path with fade
    $ renpy.show('snow', layer='snowlayer')
    show cadence with dissolve
    
    "We head out the doors together, met by that ever present snow. It falls even more gently than yesterday. In fact, it's so incredibly light, you wouldn't even know it was snowing if you couldn't feel the flakes melt on your face."
    "I was tired of it yesterday, and sick of it this morning, but right now, it manages to captivate me once again, like it did before. Maybe it's just because of my company, who is smiling so brightly."
    "She seems to really love the snow... We both did as kids, but back then, it was a lot less frequent. Only about four or five of the winters had real snow that stuck at least overnight, but it never lasted long."
    "That was the other half of the name Evergreen Valley. While the town only has evergreen trees and hundreds of them, it was also always green. I had never seen a white Christmas and never had a snow day from school."    
    "The only exception was the blizzard we had just before I moved away. We were both so excited about it. They had cancelled school three days in a row, so we got three whole days to enjoy it to the fullest. Those three fun filled days might be the last real memory I have of my time here."
    "We were up before almost everybody else, eager to get outside, where we stayed until it grew dark. We played in the park, busy making snowmen, snow angels, and even a few attempts at an igloo. That didn't work out so well, though. Neither of us were architects..."
    "Everything was stained white for those three days, just like now. Maybe that's why I'm starting to hate the snow so much. Those three days, to me, was, and still is, a rare and precious moment of my childhood. But now, the snow, the sky, the weather, the whole town... is making a mockery out of it."
    "I've only been here for two weeks, and I can just barely stomach the sight of the stuff. Everyone else walks through it like it's not even there, completely ignoring it. But there is one person still in awe."
    "I turn my head to the girl in question. Nobody knows how long it's been snowing like this, but I can tell she never tired of it, not even for a day. She looks so much brighter when she's outside, with the snowflakes falling all around her. Her face, her smile, her eyes... Seeing her shine like that, I can't help but like it too. If only when I'm with her."
    "As we walk, Cadence occasionally does a hop or a long stride, and pulls herself ahead of me. She then stops herself to make sure we're walking side by side. She seems really, really happy. That happiness of hers fills me with a gentle warmth."
    
    n "So where to first?"
    
    c "How about our old elementary school? That's not too far from here."
    
    n "Alright, then. Let's go."
    
    "I had a feeling that would be the first stop. We spent a lot of our time there as kids, so there's a lot of memories tied there. It is also the first place we met, so naturally it should be the first place we revisit."
    "We march through the streets with the snow crunching under our (mostly my) feet. I look around to try and pick out anything familiar. But I wouldn't know this way very well since there wasn't much need to be near the high school as a little kid, except maybe the few times I went with Mom to pick up Lillian."
    "Still, it's hard for me to believe that I lived here before. It all seems like I'm seeing it for the first time. Even in places I have memories of, like my own house. I must have gotten used to living in Merrian..."
    
    scene schoolflip with fade # yes, they really just walked around their highschool and looked at it from the other side... placeholder graphics.......
    show cadence with dissolve
    
    "After a short while, we round the corner and appear before our old school. When we approach the front steps, I already looked over the front at least three times."
    
    n "It hasn't changed at all in the front."
    
    c "It hasn't changed much anywhere else either. It's in the same condition you left it in."
    
    n "Wasn't there talk of adding a new wing? I guess they didn't get to it..."
    
    c "Nope. Maybe a few small changes on the inside, but otherwise, it's the same old school. Wanna look inside?"
    
    n "Naw, that's alright. The elementary school lets out later than the high school. There's probably still classes."
    
    c "Yeah. Maybe we should've waited till the end of the trip?"
    
    n "No, this is fine. If it's still the same, then there wouldn't be much to see, right?"
    
    c "True."
    
    n "What about the teachers? Did any of them leave?"
    
    c "A few. Ms. Myers left only a year ago."
    # I wonder where Ms. Myers is teaching now...
    
    n "Our second grade teacher? That's a shame. I really liked her."
    
    c "Me too. But those things happen."
    
    n "Yeah....."
    
    "I start to walk towards the side of the building. From there, I spot the small playground that hides behind the school. It's been empty since the last recess ended, but it will be crowded with kids as soon as school's over. A lot of kids hang out there while waiting to be picked up. It's only mildly nostalgic, though. I never spent much time outside during recess, for a few reasons."
    "I walk back towards Cadence, who was silently watching me remember my times here. That bright smile that fell upon her face since we left the high school still hasn't left. And because of that, my smile hasn't left either."
    
    n "Ahh, the good old days, huh?"
    
    c "Yep."
    
    n "I'm glad this place didn't change at all, but wasn't the point of this tour to get me caught up on things that did change?"
    
    c "Well, to be honest, I can't really remember anything about what's changed, since I never left."
    
    n "You're not a very good tour guide."
    
    c "Haha. Okay, how about we just walk around, and you point out anything that looks different?"
    
    n "How much are they paying you for this gig?"
    
    c "It's volunteer work."
    
    n "I hope so. I sure wouldn't pay for your lousy help."
    
    c "Hey!"
    
    n "Alright, I guess we'll just go with your idea, if you really can't think of anything else."
    
    c "Come on."
    
    scene town with fade

    "We continued our grand tour of the town. We past by a few other places along the way. The public library where we often read books together, Delson Road (the longest in Evergreen Valley) where the Founder's Day parade marched along once every May, Miller Hill where we watched the Fourth of July fireworks being launched from the middle school's football field."
    
    scene schoolflip with fade
    # Why yes, all three schools are in the same building, you just have to look at it from different angles, and it magically changes....
    
    "The middle school. I always wanted to go there. With Cadence, of course. But I moved out before fifth grade ended and never got that chance."
    "I never wanted to move away. But the affairs of adults always take precedence over the wishes of children. After the divorce, Mom moved out and I with her. Lil got to stay with Dad here, since she was gonna move out for college a few months later anyway. I wanted to stay too, but both Dad and Mom were against it, for different reasons."
    "In the end, I was forced to start over in a boring town called Merrian, and I never got that chance to go to this school. The same thoughts that I had when I first moved come to me now. What would have happened if I stayed? What would have been different?"
    "Cadence sees me looking at the school, and she probably thought the same thing."
    
    show cadence with dissolve
    
    c "Too bad you never got to go, huh?"
    
    n "Yeah. It would've been fun."
    
    c "Not really. You didn't miss much."
    
    n "I guess you managed fine without me?"
    
    c "Yeah, I managed."
    
    n "Then I really wasn't that much help."
    
    c "I wouldn't say that."
    
    n "So, how have you been doing in school?"
    
    c "I'm doing good. How've you been?"
    
    n "Still kicking ass in English, like always. It's the only thing I can brag about."
    
    c "I didn't mean grades, I meant how've {i}you{/i} been..."
    
    n "Just fine. No problems at all."
    
    c "Good."
    
    n "Any more stops?"
    
    c "You wanna go home already?"
    
    n "I didn't say that."
    
    c "Then you wanna look around some more?"
    
    n "Why not?"
    
    scene path with fade
    
    "The tour resumes once more. There wasn't any more interesting stops, so we were mostly just walking and talking the rest of the time, but that was still fun too."
    "Time really started to fly, and before we even noticed, the sky was painted orange, a signal that it was growing late. But we still pressed on, walking around rather aimlessly."
    "When we stumbled upon the convenience store, I noticed I was hungry. I ran inside and grabbed a drink and a small snack each for Cadence and me. As I walked through the store, down a certain aisle, I remembered something from this morning."
    
    n "Milk..." # The Holy Grail
    
    "I grab a half gallon of milk, too. I swear to the heavens, I'll make sure Lillian doesn't get her greedy hands on it. Why waste such a valuable commodity on a crutch like coffee when it's far better suited as a part of a recommended daily breakfast?" 
    "I hand Cadence her things, and swing my backpack around. I place the milk inside, and the bookbag back on. The extra luggage is noticeable but tolerable. Still, I fix the straps on my bookbag so the weight is focused on my right shoulder more than my left one."
    
    show cadence with dissolve
    
    c "You bought milk?"
    
    n "Why not, since I'm here?"
    
    c "You wanna drop it off at your house, then? We're not that far."
    
    n "Good idea."
    
    "The walk home is mostly quiet, only because we were too busy chewing..."
    
    n "It'll only take a second, but come on in."
    
    c "Okay."
    
    "I try the doorknob and find that it turns easily. If it's unlocked that means Lil is home. Good. She'll pay for what she did to me this morning."
    
    $ renpy.hide('snow', layer='snowlayer')    
    scene kitchen with fade
    
    "I swing the door wide open and burst into the room. I turn towards Lil, who is sitting comfortably on the couch."
    
    n "You!! What you did is inexcusable!!"
    
    l "You just got in and you're already yelling?"
    
    n "You put me through hell this morning!!"
    
    l "I wasn't even here this morning."
    
    n "You finished all the milk!"
    
    show cadence at right
    
    "Lil just lets out a huge sigh. Sometime during all this, Cadence crept into the house and now stand in awe, watching the scene that is unfolding."
    
    l "Hello, Cadence."
    
    c "Hey, Lil."
    
    n "Don't ignore me, young lady!"
    
    l "Jeez... I'll get milk tomorrow, so stop complaining."
    
    n "I'm already two steps ahead of ya."
    
    "I showingly pull out the milk from my bookbag and raise it high so Lil can see."
    
    n "This is my milk. You can't touch it."
    
    "Lil just sighs again and shakes her head. To further enforce my point, I grab the permanent black marker off of the coffee table and write \"Lil - Do Not Touch\" on the label. Lil turns to Cadence to say..."
    
    l "He's such a little kid, isn't he?"
    
    "You only say that cuz you're secretly mad you can't use my milk tomorrow morning. You can't hide it from me. I strut pridefully into the kitchen and place my milk in the fridge."
    "Now that that's all settled, I regain my maturity and turn back to normal. I walk back into the living room where Lil and Cadence are."
    
    n "Okay, we're heading back out. See ya soon."
    
    l "Wait, Noah. It's pretty late. It'll be dark soon."
    
    n "Can't you bend the rules just this once?"
    
    l "No. Curfew is curfew for a reason. I'm not gonna budge."
    
    "She really is strict about the curfew. She won't give an inch. But I don't wanna cause her any trouble, so I guess I'll just give in."
    
    n "At least let me walk Cadence home. I'll be back in time."
    
    l "Alright, but you better be back in time. I'll see you later, Cadence."
    
    c "Bye!"
    
    $ save_name = "Friday - The Park"
    
    scene path with fade
    show cadence with dissolve
    $ renpy.show('snow', layer='snowlayer')
    
    "As we step outside, I look at the sky. It really will be dark soon. Better hurry, or Lil will have my head."
    
    c "I could've walked home by myself, ya know..."
    
    n "Yeah, but that wouldn't have been very gentleman-ly of me. I thought chivalry wasn't dead yet?"
    
    c "No, it isn't. Thanks."
    
    "We continued towards her house as the sky steadily grew darker. We're really pushing it. I don't want to see what Lil'll do to me if I'm late, so we can't waste a second. But apparently, Cadence had other plans."
    
    c "Wanna make one last stop?"
    
    n "I thought the tour was over?"
    
    c "There's one last place..."
    
    n "I don't know..."
    
    c "Come on, please?"
    
    n "Whatever Lil does to me, I'm blaming you for it, okay?"
    
    c "Okay, come on, come on."
    
    "She starts running down the street and I have to push a bit to catch up. It almost painfully obvious she's excited about this last place, wherever it may be. It doesn't take long for us to reach it."
    
    scene bench with fade
    
    "It's the old park we used to play at together, if you can really call it that."
    "It's pretty small and equipped with only the bare minimum required to be deemed a park."
    "There's a swing set, a see-saw, and a slide."
    "I spot the sandbox. I only call it that because I remember it was filled with sand, but now, I can't really tell since it is buried in snow."
    "Three metal horses are attached to metal springs stuck in the ground. There's also the wooden bench by the swings."
    
    show cadence with dissolve
    
    "Cadence begins to brush off the bench, so I help her out."    
    "I take my seat. Cadence pulls up rather close next to me."
    
    hide cadence with dissolve
    
    "Feeling a little uncomfortable, I face forward, and Cadence does the same."
    
    c "Perfect for the finale, right?"
    # What, no fireworks? Bummer...
    
    n "Yeah. We played here almost everyday."
    
    c "For hours..."
    
    n "Yeah..."
    
    "For a while, there's nothing but silence. Even though it's out of the corner of my eye, I'm only looking at Cadence. I imagine she's doing the same thing."
    
    c "Noah..."
    
    n "Yeah?"
    
    c "I didn't really get to say it yet... I really missed you a lot..."
    
    n "Yeah. I really missed you too... I never wanted to leave..."
    
    c "I didn't want you to leave either..."
    
    n "But it couldn't be helped..."
    
    "More silence. A long and painful silence."
    
    c "I'm really glad you're back..."
    
    n "So am I... And I'm glad you're still here..."
    
    c "Y-Yeah..."
    
    # Hurry up and make a move already! 
    
    "More silence. Intolerable, unbearable silence."
    "This is... awkward..."
    "But I don't hate it. I'm uncomfortable, but I like this feeling. It's like a shot of adrenaline is coursing through my veins, but I can't even work up the courage to move. I can't even speak. I'm only responding to what Cadence says. She must be the stronger one, if she's the only one who is managing to say something first."
    "But now, even she can't say anything. It's just pure silence that eats away the remaining minutes of daylight. It only registers subconsciously that it's now dark out."
    "Sitting in the cold, all over, my body begins to turn numb. I can barely feel my fingers, my face, my legs."
    "More silence. This silence drives me insane, but I'm powerless to break it."
    "And then, a weak warmth."
    "I break free of my paralysis and turn my head. I quickly notice that now her hand lays on top of mine. Her hand is just as cold as mine, but deep down, there's a warmth."
    "Instinctively, I grab hold of her hand. I try to draw out that warmth, feeling it can cure this numbness that has spread throughout me. She shuffles over even closer, our arms now pressed together. It feels like just a natural reaction to the cold, but I know it means something entirely different."
    "I don't even know what I'm doing anymore. Why am I sitting here like this? Is it because of the cold? Is it because I like this girl? Is it because I just stopped thinking? Is it all instinct? Is it all feelings? Is it just because it is?"
    "More silence. But this one is short. The brief moment of nothing quickly fades away."
    
    # What the hell, man?! What's taking so long? You're gay, Noah... This isn't a BL game!!
    
    show cadence with dissolve
    
    "There's a small tug at my shoulder, just like how a kid would grab someone's attention. I turn towards Cadence. She looks up at me, and her hand then drops from my shoulder and lifelessly onto her lap."
    "She looks up at me."
    "For an eternity, she looks up at me."
    "She closes her eyes."
    "I know what she's silently asking for."
    "I want to give it to her."
    "Because I like her too."
    "I think."
    "Do I?"
    "I think I do."
    "I think."
    "I think..."
    "I stop thinking."
    "I inch forward."
    "I rest my hand on her shoulder."
    "I gently begin to pull her closer."
    "I can see her breath."
    "It clouds my vision."
    "I'm completely immersed in a world of only Cadence."
    "Time, and everything with it, comes to a halt."
    "The only movement is her breath that escapes from her lips as a white mist."
    "Silence."
    
    # Cadence and Noah, sitting in a tree. K-I-S-S-I-N-G
    # First comes love, then comes marriage
    # Then comes a horrific and disguisting hungry monster licking its lips under a blood red moon to ruin a perfectly good romantic moment
    
    $ renpy.hide('snow', layer='snowlayer')    
    scene black with fade
    
    $ renpy.pause(3)
    
    show redtext "EERRREEEEEEEEEEEEEEEEEEEEEKKKK!"
    $ renpy.pause(1)
    hide redtext with fade
    $ renpy.pause(.5)
    scene redmoon with fade
    $ renpy.show('redsnow', layer='snowlayer')
    
    "With that ear crushing screech, matching that of a shrieking bat, I jump off of the bench and snap back to the real world..."
    "Wait... This is wrong... Is this the real world...?" # "Todo, I don't think we're in Kansas anymore..."
    "The moon, the snow, the color, the air, the smell, the shadow that lurks towards us with a hungry stare."
    "These things don't belong in reality. They don't belong here."
    "I was so immersed before, I didn't see the world break, warp, distort into this grotesque nightmare."
    
    "The moon hangs high above us mockingly, shining a sickening color. A pure and ghastly red. A bright blood red moon. The falling snow glistens like a shattered ruby. Red flakes, frozen drops of blood, dance around us,. The ground before us shares that same repulsive color. The air is stale and heavy, almost liquid. It tastes thick and smells of copper."
    "This world I've fallen into... All things that should be a pristine white are stained with a bloody crimson."
    "It's blood. Blood. Everywhere. Everywhere, everywhere, everywhere, everywhere."
    "I get hot. I start to itch everywhere. Even if I scratch, it wouldn't help at all. I'm too afraid to move."
    # It's called soap and water...

    $ renpy.show('black', layer='snowlayer')
    with fade
    $ renpy.show ('redtext "EERRREEEEEEEEEEEEEEEEEEEEEKKKK!"', layer='snowlayer')
    $ renpy.pause(1)
    with None
    $ renpy.hide ('redtext', layer='snowlayer')
    with fade
    $ renpy.pause(.5)
    with None
    $ renpy.hide('black', layer='snowlayer')
    with fade
    
    "The shadow screeches again. It takes a single step into the light."
    
    "Its eyes, a brilliant yellow. Its fur, pitch black. Its teeth, a faint ruby."
    "Teeth. Rows and rows of teeth, mimicking a shark's. They glow ominously and threaten to tear flesh like paper. Its wide open mouth, as though it was drooling blood, pours saliva stained vermillion from the repulsive lunar light."
    "On its front paws, those long protruding claws are brilliant embers able to rip through skin, muscles, and even bone, without effort. With that posture, it's ready to pounce. Its back flexibly arches up and meets two long black tails, flailing furiously in anticipation. It unhinges and re-hinges its jaw, like a snake, eager to begin the feast."
    "I take a single step back, and my calf bumps the bench. With my left arm, I reach back and grab the wrist of the still present Cadence, a statue grounded by fear."
    "If we stay here, that beast will certainly kill us. But if we run, that monster will certainly catch us. A standstill that threatens to break at a moment's notice."
    "I have to get her out of here, but how? I can't move or stay."
    
    $ renpy.hide('redsnow', layer='snowlayer')    
    scene black with fade
    
    "This might be the end..."
    
    ".........."
    
    n "This really is the end."
    n "Of the demo, that is."
    n "Sorry to cut you guys off at the exciting part, but hey, that's marketing, right?"
    n "Look forward to the final product, alright?"
    n "Thanks for playing!!!"
    
    s "Oh, and the EVTV Special has now been unlocked, so go check it out! You know you wanna see it!!!" # nobody wants to see it...
    
    "~ End of Demo"  # Best line I wrote in the whole demo, I swear...
    
$ persistent.demo_clear = True
$ renpy.full_restart()

label confirm_quit: # Get out while you still can!!!
    $ renpy.quit()

# Well, if you've made it this far, it means you read through the whole script or skipped right to the end
# This really wasn't much of a commentary, I just put the piece down every chance I got...
# I'm surprised you bothered even opening the script...
# Regardless, I'd once again like to thank you for giving Evergreen Valley a bit of your time
# Any comments, critiques, and/or suggestions would be appreciated
# As you can tell, I take my work very seriously (yeah right)
# But I do honestly hope you enjoyed it, even a little
# If you managed to survive this torture, and are a huge masochist, then please play the full version when it's done.
# Also, if you're intested in helping out in the process (specifically art and music), just contact me. After all, misery loves company.
# It's been fun (hell)... But it's time to end this. Later guys!

